Export Output

Options for Export Datamine 4 file format

Export Datamine 4 file format | Output four files - Collar, Survey, Assay and Geology, named *col.dm, *sur.dm, *ass.dm and *geo.dm. These files can be viewed in Datamine but are not true Datamine files.
Name | Select the location and name of the collar file. All other files will be written to this location. This will create a *col.dm file.
Use Fixed Name | One file name and you define the file extension for each of the four output files.
Use Fixed Extension | You define each of the four file names and define the extension which will be the same for each file (for Datamine the default is .dm). If you have defined more than one Geology page, the output files for Geology will be Geo1, Geo2 etc.

Options for Export Datamine drillhole format

Export Datamine drillhole format

Export to a Datamine drillhole file format. The generated X, Y and Z define the mid point of the sample From and To.

The azimuth and dip are exported into A0 and B0 fields in the Datamine drillhole file. The dip, stored in acQuire, is multiplied by -1 when it is exported.

Include SampleID in drillhole export

If you want the SampleIDs to be included in the Drill Hole file.

Limit the length of Assay text fields

If you did not change the field name length, as indicated on the Alias dialog (the previous dialog) then you will have problems with the output. Duplicate fields will not be exported.

If you select this option the field names will be reduced to 8 characters long. This could cause duplicate field names and loss of data. It is better for you to define the alias yourself. To do this just click Back and select the Assay compound definition.

Name

This is only necessary if you have selected Export Datamine Drillhole File. Browse to locate or create a *.dm file.

Settings

Use Geology page names | The Geology pages, defined in the selection, can be output to the <page name>.dat file. If not selected, extra pages would be exported as xxGeo1.dat, xxGeo2.dat and so on.
Replace NULL numeric values with | Enter a value in the box if you want to replace NULLs in numeric fields with a value in the output.
Replace NULL text values with | Enter an alphanumeric in the box if you want to replace NULLs in text fields with a value in the output.

Click Next.

Click Finish to start the export.

Note

When you define the selection file it is recommended that you select Interval Splitting on both the Samples and Geology if you output to a Datamine drillhole file format. The X,Y and Z will be the mid point between the From and To. This is good practice in case the intervals for Assay and Geology are not coincident.

It is recommended that you select Combine overlapping intervals for each Geology page if Interval Splitting is not selected. This will ensure that there is no problem with the output being loaded into Datamine.

Each of the Datamine files MUST not exceed 64 words. Datamine defines a word as a Numeric field or 4 characters of a Text field. For example, HoleID (20 char), ProjectCode (10 char) and Depth would equal 9 words.

Field or column names for Datamine cannot be longer than 8 characters. Make sure that you Alias them correctly to prevent missing data.

Output is to a <user defined name>.dat file. This file has a header section, followed by a data section.

The format of this file was defined by the Department of Mineral and Petroleum Resources - Western Australia to comply with their data submission requirements.

Select from the following options:

Name | Select the location and name of the collar file. All other files will be written to this location.
Use fixed name | One file name and you define the file extension for each of the four files.
Use fixed extension | You define each of the four file names and define the extension which will be the same for each file. If you have defined more than one Geology page, the output files for Geology will be geo1, geo2 and so on (if Fixed Name) or file name1, file name2 and file name3 (if Fixed Extension).
Use Geology page names | The geology page names (defined in the selection process) will be used as the file name.
Quoted text identifier | If selected the Text fields in the output will be identified by double-quotes. For example, for HoleID, ProjectCode the output would be "DDH001","Weston".

In addition to the selected and preset channels, the following channels are created:

    • DH_Top (Collar table): The depth of the start of the hole. Wholplot will plot only data between the DH_Top and DH_Bottom depths.

    • DH_Dip and DH_Azimuth (Collar table): These values are read from the top of the hole from the Wholeplot Survey table.

    • DH_EMin, DH_EMax, DH_NMin, DH_NMax, DH_ZMin, DH_ZMax: The maximum extents of the hole, calculated from the resurveyed locations. These values are only calculated if the user has the Wholeplot module installed (and the geodh.dll file is available).

    • DH_East, DH_North, DH_RL (Survey, Assay and Geology tables): The resurveyed locations. For From/To data, the From location is used. These values are calculated only if the Wholeplot module is installed (and the geodh.dll file is available).

Name

Wholeplot database are prefixed with a project name. It is suggested practice to name the Wholeplot project the same as the drillhole project ( the PROJECTCODE), although any identifier will suffice.

Output Directory

Browse to located the final folder for the client files.

Convert Negative Assays?

There is no need to select this option if the MetaAssayExport table has been used to define the relationship between associated Assay virtual fields and values that can be substituted when data is exported. If MetaAssayExport has been defined both the numeric virtual fields and their corresponding virtual fields can be exported to the Wholeplot Assay database without having a NULL value in the database.

Output files

The output files are prefixed with the <Name>_Collar, <Name>_Survey, <Name>_Assay and <Name>_Geology_Items (if the Geology page has not been renamed). Other Geology pages have their name as the suffix.

Select from the following options:

Name | Select the location and name of the collar file. All other files will be written to this location.
Use fixed name | One file name and you define the file extension for each of the four files.
Use fixed extension | You define each of the four file names and define the extension which will be the same for each file (for Micromine the default is .dat). If you have defined more than one Geology page, the output files for Geology will be geo1, geo2 and so on (if Fixed Name) or file name1, file name2 and file name3 (if Fixed Extension).

Output coordinates

Write start, end or mid point coordinates for output data for both:

  • Assay

  • Geology.

These the coordinates will be calculated and included in the resulting Assay and Geology output in field names like StartEast, EndEast and MidEast.

Survey depth: Select if the HoleSurvey.Depth value is also required.

Use Geology page names

The Geology pages, defined in the selection, can be output to the <page name>.dat file. If not selected, extra pages would be exported as xxGeo1.dat, xxGeo2.dat and so on.

Replace NULL numeric values with

Enter a value in the box if you want to replace NULLs in numeric fields with a value in the output.

Replace NULL text values with

Enter an alphanumeric in the box if you want to replace NULLs in text fields with a value in the output.

Fill missing intervals

Will create missing intervals for Assay and Geology and fill the fields with the values entered in the options above or NULL.

Note

Comment virtual fields in acQuire Collar, Geology, Assay and CheckAssay form definitions have a default field size of 254 characters. Micromine installations earlier than Version 9 have a maximum field size of 135 characters; therefore acQuire data with these fields imported into versions of Micromine earlier than Version 9 will have a problem.

Data imported into Micromine Version 9+ will not experience this problem.

The data is exported to a MineSight resource file (<user defined name>.msr).

Select from the following options:

Select the drillhole/point sample view file | Browse to define the location and file name for the output file. By default it will be a .msr file.
Only export holes that have assay or geology data | Only drillholes that have either Assay or Geology data will be included in the export.
Display ID in 3D | Display the ID in MineSight in 3D. The ID is the HoleID (HoleLocation.HoleID).
Display ID in 2D | Display the ID in MineSight in 2D. The ID is the HoleID (HoleLocation.HoleID).
Cutoff item | Select from the drop-down list of selected Assay and Geology fields, the value that will be displayed in MineSight coloured according to the defined cutoff values.
Show survey trace | Select if the Survey interval is to be defined on the drillhole trace in MineSight.

Note

MineSight exports only 4 character data to fields that are defined as Text (DataType).

Select from the following options:

Name | Select the location and name of the collar file. All other files will be written to this location.
Use fixed name | Use a single file name and define the file extension for each of the four output files.
Use fixed extension | Define each of the four file names and define the extension which will be the same for each file (for Minex the default is .dat). If you have defined more than one Geology page, the output files for Geology will be geo1, geo2 and so on (if Fixed Name) or file name1, file name2 and file name3 (if Fixed Extension).

Output coordinates

Write start, end or mid point coordinates for output data for both:

  • Assay

  • Geology.

These the coordinates will be calculated and included in the resulting Assay and Geology output in field names like StartEast, EndEast and MidEast.

Use Geology page names

The Geology pages, defined in the selection, can be output to the <page name>.dat file. If not selected, extra pages would be exported as xxGeo1.dat, xxGeo2.dat and so on.

Replace NULL numeric values with

Enter a value in the box if you want to replace NULLs in numeric fields with a value in the output.

Replace NULL text values with

Enter an alphanumeric in the box if you want to replace NULLs in text fields with a value in the output.

Fill missing intervals

Will create missing intervals for Assay and Geology and fill the fields with the values entered in the options above or NULL.

Note

Comment virtual fields in acQuire Collar, Geology, Assay and CheckAssay form definitions have a default field size of 254 characters. Minex format has a maximum field size of 32 characters; therefore acQuire data with these fields exported to Minex will have a problem.

You have two choices for the naming style of the four files that will be output:

Name | Select the location and name of the collar file. All other files will be written to this location.
Use Fixed Name | One file name and you define the file extension for each of the four files.
Use Fixed Extension | You define each of the four file names and define the extension which will be the same for each file.

Output Interval Coordinates

Write Start, End or Mid Point coordinates for both

  • Assay

  • Geology.

If any or all of these the coordinates will be calculated and included in the resulting Assay and Geology text file in field names like StartEast, EndEast and MidEast.

Quote text identifier

If selected, all Text fields will be enclosed in double quote marks. For example, "John Smith" for Geologist field. Available only for Text output.

Use Geology page names

The Geology pages, defined in the selection, can be output to the <page name>.dat file. If not selected, extra pages would be exported as xxGeo1.dat, xxGeo2.dat and so on.

Replace NULL numeric values with

Enter a value in the box if you want to replace NULLs in numeric fields with a value in the output.

Replace NULL text values with

Enter an alphanumeric in the box if you want to replace NULLs in text fields with a value in the output.

Fill missing intervals

Will create missing intervals for Assay and Geology and fill the fields with the values entered in the options above or NULL.

Exclude assay header

Assay field names are omitted from the output file.

Output is usually to a <user defined name>.dat file. This file has a header section, followed by a data section.

The format of this file was defined by the Department of Mineral and Petroleum Resources - Western Australia to comply with their data submission requirements.

Export the selected data to a gdb format file suitable for use in the Chimera geochemistry module of Oasis montaj.

Enter the name and location of the Micromine format file (.dat).

Note

Comment virtual fields in acQuire Collar, Geology, Assay and CheckAssay form definitions have a default field size of 254 characters. Micromine installations earlier than Version 9 have a maximum field size of 135 characters; therefore acQuire data with these fields imported into versions of Micromine earlier than Version 9 will have a problem.

Data imported into Micromine Version 9+ will not experience this problem.

The data is exported to a MineSight resource file (<user defined name>.msr).

Select from the following options:

Select the point sample view file | Browse to define the location and file name for the output file. By default it will be a .msr file.
Only export surveys that have assay or geology data | Only those samples that have either Assay or Geology data will be included in the export.
Display ID in 3D | Display the ID in MineSight in 3D. The ID is the sampling programme name (HoleLocation.HoleID).
Display ID in 2D | Display the ID in MineSight in 2D. The ID is the sampling programme name (HoleLocation.HoleID).
Cutoff item | Select from the drop-down list of selected Assay and Geology fields, the value that will be displayed in MineSight coloured according to the defined cutoff values.

Note

MineSight exports only 4 character data to fields that are defined as Text (DataType).

Select from the following options:

Name

Select the location and name of the collar file. All other files will be written to this location.

Output interval coordinates | Write start, end or mid point coordinates for output data These the coordinates will be calculated and included in the resulting Assay and Geology output in field names like StartEast, EndEast and MidEast.
Replace NULL numeric values with | Enter a value in the box if you want to replace NULLs in numeric fields with a value in the output.
Replace NULL text values with | Enter an alphanumeric in the box if you want to replace NULLs in text fields with a value in the output.

Note

Comment virtual fields in acQuire Collar, Geology, Assay and CheckAssay form definitions have a default field size of 254 characters. Minex format has a maximum field size of 32 characters; therefore acQuire data with these fields exported to Minex will have a problem.

The output is to a <user defined name>.dat. This file is in the M500V1 format.

Select from the following options:

Export SampleID | Select if the Sample.SampleID is to be included in the output.
Report reference number | A sequential number will be generated for each sample.

Note

MineSight exports only 4 character data to fields that are defined as Text (DataType).

Name | Enter the name and location of the file (comma delimited .dat file) for the output.
Quoted text identifier | If selected, all Text fields will be enclosed in double quote marks. For example, "John Smith" for Geologist field. Available only for Text output.
Replace NULL numeric values with | Available for Text clients only. Enter a value in the box if you want to replace NULLs in numeric fields with a value in the output.
Replace NULL text values with | Available for Text clients only. Enter an alphanumeric in the box if you want to replace NULLs in text fields with a value in the output.
Fill missing intervals5 | Available for Text clients only. Will insert missing intervals for Assay and Geology and fill the fields with the values entered above or with NULL.
Exclude assay header | Available for Text clients only. Assay field names areomitted from the output filer.

Export Output

The definition of the format of the output will depend upon the output client that you select.

Drillhole Export

AccessMDB

Datamine

DepMin

G emcom

Geosoft GDB

Micromine

MineSight

Minex

Surpac

Text

Point Sample Export

AccessMDB

DepMin

G emcom

Geosoft GDB

Micromine

MineSight

Minex

MineSightAscii

Surpac

Text

Click Next for the summary dialog.

acQuire 4.0.6 © Copyright acQuire Technology Solutions Pty Ltd


Connect

When using an exporter, you will have to connect to the database when:

  • you are running Drillhole Export via the executable Export.exe in the \bin folder in your acQuire install directory

  • you run the Drillhole Export or Point Sample Export command from the File menu with no workspace open.

Connecting to a database

  1. Run the exporter.

  2. Click New. The Select data from acQuire dialog opens.

  3. Select the ODBC or DAP tab depending on your database connection.

  4. Select the required database from the ODBC Name list in the ODBC tab or the Database Name list in the DAP tab.

  5. Click Connect to connect to the database.

  6. You may be asked to provide a user name and password.


Drillhole Export Overview

Export - Drillhole is both a tool and an object in your workspace. In both cases, it is used to export a set of Collar, Survey, Assay and Geology data in particular formats for data clients.

To achieve this you must first define the selection criteria for the data that you want to export. The selection defines the particular data that is to be included in the export.

There are three ways that you can access the Drillhole Export function:

  • Select Drillhole Export on the File menu.

    This opens the Drillhole Selection dialog but does not save an export object to your workspace.

  • Create an Export object. Right-click on a folder in the workspace tree and select New, Export, Drillhole.

    This will create a new export object in your workspace. Double-click to open the object and display the Drillhole Selection dialog.

  • Use command line export. Parameters can be defined in a command line statement.

Exporting drillhole data is essentially a two-stage process:

  1. Select the data to be exported. See Drillhole Selection and acQuireDirect.

  2. Select and configure the output format. See Export Output.


Drillhole Selection

Drillhole selection

The Drillhole Selection dialog differs slightly depending upon the way you accessed the Drillhole Export function.

File Menu Access

When accessed through the File menu, the Drillhole Selection dialog includes a field enabling you to browse for a file or to select from a list of recently used .sel files. A .sel file contains the details of the drillholes and fields to be exported.

  1. Use the Load selection from file field to locate an existing .sel file, or click New to open the Select data from acQuire dialog and create new selection criteria.

  2. Save the definition to a file. This file is saved in a user-defined location and called <user defined name>.sel. When a .sel file has been saved, the New button changes to Edit.

  3. If required, click Edit to open the Select data from acQuire dialog and change the parameters in the current *.sel file. You will be asked to save the selection file when you have finished editing.

  4. Click Save to save the current *.sel file.

  5. Use the Select output client drop-down list to pick an output format.

  6. Click Next to continue. See Export Output for further details.

Workspace Object Access

When an export object is opened from your workspace, the Drillhole Selection dialog will be displayed.

  1. Click Edit to open the Select data from acQuire dialog and select the data to be exported, or click Import to use a .sel file to set the export data criteria.

    The data export selection criteria are saved with the object and are not available to other objects. An export object cannot save to a .sel file.

  2. Use the Select output client drop-down list to pick an output format.

  3. Click Next to continue. See Export Output for further details.


Select Holes

Select the form definition that best defines the fields that you want to included in the data set.

Apply a filter to subset your Collar selection.

Select from the following columns to define the Collar data to be included in the data set:

Use | Select those that are to be included in the selection.
Max Length | The current field size is displayed. Edit to truncate Text fields. Numeric fields cannot be edited.
Split Inc | Suitable for Text fields only. Enter the number of characters required in a field. If the number entered is smaller than the total number of characters in the field other fields will be created to include all the data. The naming of the fields is in the following format: <original field>, <original field_Ext1>, <original field_Ext2> and so on. This option is suitable for splitting up comments fields.
No of Dec | Suitable for Numeric fields only. The decimal points will be truncated to the number of decimal points entered.

The Sort Selected Fields button [image] invokes a window in which selected fields in the form definition can be ordered. Note that unselected fields are not available for sorting in the Order window.

  • Click Sort A->Z for ascending order

  • Click Sort Z->A for descending order

  • Drag and drop. Click to select a record, then drag it to a new location.

To reorder the field selection (Use) so that the selection is in the correct order:

  1. Highlight a field.

  2. Click on the grey area to the far left and move it to the new location.

  3. Select another field or click Apply to save.

View the Collar records that have passed the filter (if defined).

Define the following:

Query time-out in seconds | Enter the number of seconds available for the system to run a query. If this limit is exceeded, an error message will be received.
Login time-out for database in seconds | Enter the number of seconds available for a connection to be made to the database. If this limit is exceeded, an error message will be received.

If you have defined a Profile (Manage, Default Settings), you can apply a profile or template to the object.

The profile has all or some of the settings that will apply to this and other tabs in the dialog.

Select the appropriate profile from the drop-down list and the settings will apply to the object. All the options in the settings are selected. You can clear any of the options to not include them.

Select Holes

The Select Holes page is used to pick the drillholes for which data is to be exported.

Select Collar field list

Filter

Select fields

Sort selected fields

Reorder fields

Preview

Options

Default


Geographic Coordinates

Option

Description

Destination grid

Select the destination grid from the drop-down list. This grid defines the parameters for the transformed coordinates. Each grid is spatially defined and the new coordinates are defined in these terms.

The destination fields are:

  • East, North and RL fields.

  • Azimuth in the Survey file.

No. Dec

Type in the number of decimal places for the X, Y and Z coordinates.

Automatically find the best ranked coordinates/azimuths to transform

Uses the ranking system to find the best ranked coordinates in each grid and then the best ranked survey method across all grids. See Rank and Coordinate Sets for more details.

By default, the Original East/North/RL/Azimuth set is always given the lowest rank for each grid. See Rank below.

It is recommended that the automatic option is selected. This includes all coordinate sets where SurveyMethod <> Calculated.

See Source Grids and Coordinate Sets and Automatic Transformation for more details.

Manually specify source grids/coordinate sets to transform

Select transformation grids from the list that appears when the option is activated.

Hide coordinate sets with SurveyMethod='Calculated'

Only active if Manually specify source grids/coordinate sets to transform is selected.

  • If activated, the transformed data will not include data in coordinate set virtual fields (HoleCoord) that have a SurveyMethod = Calculated. The transformation will be based on coordinates that have been measured and, therefore, are considered to be the most accurate values. This is the recommended setting.

  • If not activated, all coordinate virtual field sets, both measured or calculated are available for selection. If coordinates that have been calculated are included in the transformation, it is possible that the result could be less accurate.

Include source gridname, coordinate and azimuth columns in result

Select to include the following set of fields of source data in the output:

  • Gridname. The original grid name for records with a HoleType equal to:

    • DRILLHOLE is saved into a field = GRIDNAME_DT_SRC.

    • GEOCHEM is saved into a field = POINTGRIDNAME_DT_SRC

  • DRILLHOLE coordinates. The original coordinates are saved into the following fields:

    • East is saved into EAST_DT_SRC

    • North is saved into NORTH_DT_SRC

    • RL is saved into RL_DT_SRC

  • GEOCHEM coordinates. The original coordinates are saved into the following fields:

    • PointEast is saved into POINTEAST_DT_SRC

    • PointNorth is saved into POINTNORTH_DT_SRC

    • PointRL is saved into POINTRL_DT_SRC

  • Survey. The original survey data is saved into the following fields:

    • AzimuthGridName is saved into SURVGRIDNAME_DT_SRC

    • Azimuth is saved into AZIMUTH_DT_SRC

Rank

It is possible that not all the coordinates for the defined data set can be found in any one of the coordinate set virtual fields: they maybe spread across may sets. Therefore it is recommended that either, you define the source data to automatically find the best ranked set, or you select a number of grids and a number of coordinate sets as the data source.

The data that is selected to be transformed is defined by the order of the grid in the list and by coordinate set rank as follows:

  1. Grid. The source data is selected from grids in the displayed list in descending order: from top to bottom.

  2. Coordinate set. A coordinate set virtual field for a grid always has a higher rank than the original East/North/RL coordinate set for the same grid.

  3. Coordinate set. The coordinate set virtual field that has the highest rank (lowest rank value) in a grid will be selected in preference to one of a lower rank in the same grid.

If there is no data in the grid or coordinate set for some of the selected data sets, data will be selected from the next highest grid or a coordinate set of a lower rank, and so on.

Geographic Coordinates

The Coordinates sheet of the Geographic page gives the option to Apply dynamic coordinate transformation. This option will dynamically transform the coordinates of the selected data set that is made available, while not altering the coordinates in the database.

Select the transformation method :

  • Using coordinate management system. The coordinates are transformed into one of the grids using the relationships defined by the Coordinate Management System, which was established by the acQuire manager on site. This is the recommended method.The transformation of coordinates is from a source grid to a destination grid: the source or original data remains unaltered in the database. The original data can also be include in the selected data set.

    Parameters

    If you select the manual option, drag and drop the grids to rearrange their order in the list.

  • Using simple local transformation. Enter either a one or two point set of transformation points. The source data cannot be included in the selected data set.

    • The Redefine coordinate fields option is available with simple local transformation, and enables other coordinate fields to be used as East, North and RL coordinates.


Geographic Spatial Limits

Steps:

  1. If you want to specify the grid system of the coordinates of the bounding box, select a grid from the drop-down list. If a grid is:

    • Selected, the coordinates must be belong to this system.

    • Not selected, the coordinates of the bounding box must belong to either that defined by the:

      • The destination grid if it is selected on the Coordinates tab.

      • Simple local coordinate transformation if it is used on the Coordinates tab.

      • Coordinate system used to define the East, North and RL (drillholes with HoleType = DRILLHOLE) or PointEast, PointNorth and PointRL (campaigns with HoleType = GEOCHEM) of the data set.

  2. Define the coordinates that describe the box. The boxes can be either 2 or 3 dimensional and include either or both an external and an internal box.

Include/exclude

Define the range of coordinates, in terms of minimum and maximum east, north and RL, that includes/excludes the data set. At least the minimum and maximum of two of the east, north or RL must be defined for the selection to proceed.

The exclude coordinates should be a subset of the include box.

Select from the following options:

Option

Select

Comment

Geometry file

File formats

This file also needs to be defined if it is used to split or combine intervals.

Geometry type

Select from either:

  • Polygons.

  • Solids (3D)

  • Surfaces (2D)

A surface is a 3D geometric construction that can partition space but does not enclose a volume. No edge of the surface can cross another edge in 3D: an edge cannot overturn.

Using coordinate system

Select grid name.

If selected, the points in the geometry file must be defined in terms of the grid.

If not selected, the points in the geometry file are defined in terms of either the:

  • Destination grid (Coordinates tab).

  • Simple local transformation (Coordinates tab).

  • East, North and RL. The same system used to define these coordinates.

Include/Exclude

Select to either include or to exclude the options that follow.

Holes where any part is inside[outside] solid

Holes/Points that start inside[outside] solid or polygon /above[below] surface

Examples

Holes that end inside[outside] solid or polygon/ above[below]/surface

Holes that are at least xx% inside[outside] solid or polygon /above[below] surface

Where xx is user defined and xx% is the accumulative percent inside[outside] solid or above[below] surface.

Holes where number of intersections at least[most, equal, not equal] xx

Where xx in user defined.

Most = xx, but could be less.

Least = xx, but could be more.

Equal = xx.

Not equal = Not xx.

Add holes that do not intersect

Select this option to include the drillholes that meet the criteria of the previous option AND do not intersect the polygon, surface or solid.

Example

File Type | Suffix
ArcView polygon | shp
DXF ascii geometry | dxf (ms3d code)
GEMS binary solid or surface | bt2
Geosoft ascii polygon | ply
MapInfo polygons | tab, mif
MineSight ascii polygon | srg
MineSight ascii surface | shl
MineSight binary geometry | mrs
Triangle solid or surface | 3d
Vulcan binary surface | 001 (ms3d code)

If you select the following options:

  • Include.

  • Holes where number of intersections equal 1.

  • Include holes that do not intersect.

You will include the following drillholes in the data set:

  • Holes that intersect the polygon, surface or solid only once.

  • Holes that do not intersect the polygon, surface or solid.

If you have defined a profile using Default Settings on the Manage menu, you can apply a profile or template to the object.

The profile has all or some of the settings that will apply to this and other tabs in the dialog.

Select the appropriate profile from the drop-down list and the settings will apply to the object. All the options in the settings are selected.

Clear any of the options to not include them.

Geographic Spatial Limits

The Spatial Limits sheet of the Geographic page gives the option to limit the data set according to 2- or 3-dimensional coordinates.

A bounding box, surfaces, solids or polygons are the spatial parameters that can be used to limit the data.

The limits can be defined in two ways, and they can be applied individually or together. Some options on the Spatial Limits page are dependent on settings on the Coordinates tab.

  • Limit by bounding box. Coordinates entered can define boxes that include and/or exclude data. Boxes can be defined in either 2 or 3 dimensions: the east, north and RL.

  • Limit by geometry. Navigate to a geometry object file. The file defines one or more objects which can be a surface, a solid or a polygon. The file can be in a number of client formats.

The spatial limits are defined by a set of points. The points themselves are defined in terms of either:

  1. A Grid system. The grid system can be defined by the:

    • Coordinate system selected on this dialog. This is the grid system selected for the 'Using coordinate system' option.

    • Destination grid defined on the Coordinates tab.

  2. The 'Simple local coordinate transformation' used on the Coordinates tab. The bounding box or the points in the geometry file must be in the same coordinate system as the destination coordinates: that is the new east, north and RL.

Where the order of the above is important. For example:

If:

    • If Using coordinate system is selected, the limit points must belong to the selected coordinate system.

    • If Using coordinate system is not selected and a Destination grid is specified on the Coordinates tab, the points must be defined in terms of the destination grid.

    • If no Destination grid is specified on the Coordinates tab, the points for the bounding box or the geometry file are defined according to the parameters in Using simple local transformation on the Coordinates tab.

Default


Assay

The Assay page is used to select assay fields for export.

Select Assay field list

Select the form definition that best defines the fields that you would like included in the data set.

Load Sample intervals

Make the check box active to include in the data set the:

  • SampleID

  • SampFrom

  • SampTo

This is only available if no Assay virtual fields have been selected

Filter

You can define a filter to subset the records that will be included in thedata set.

Select fields

Select from the following columns to define the Assay data set:

Use | Select to include in the data set.
Max Length | The current field size is displayed. Edit to truncate Text fields. Numeric fields cannot be edited.
Split Inc | Suitable for Text fields only. Enter the number of characters required in a field. If the number entered is smaller than the total number of characters in the field other fields will be created to include all the data. The naming of the fields is in the following format: <original field>, <original field_Ext1>, <original field_Ext2> and so on. This option is suitable for splitting up comments fields.
No of Dec | Suitable for Numeric fields only. The decimal points will be truncated to the number of decimal points entered.

Reorder fields

Fields can be rearranged so that the data set is in the correct order. Reorder fields directly in the Assay sheet as follows:

  1. Highlight a field.

  2. Click on the grey area to the far left and move it to the new location.

  3. Select another field or click Apply to save.

Sort selected fields

Use the Sort selected fields to arrange the fields selected for export [image]. Fields can be sorted alphabetically and rearranged manually. This function does not apply to fields not selected for export.

Defaults

If you have defined a Profile (Manage, Default Settings), you can apply a profile or template to the object. The profile has all or some of the settings that will apply to this and other tabs in the dialog.

Select the appropriate profile from the drop-down list and the settings will apply to the object. All the options in the settings are selected. You can clear any of the options to not include them.

Note

If more than one SampleID exists for the same interval and if there are AssayType.Values for the same AssayType.Name (for example, they have values for Au_MET102_ppm), the AssayType.Values are in the order defined by Sample.Priority - from the highest (lowest number) to the lowest priority.

acQuire allows overlapping Assay intervals if the Sample.Priority for those that overlap is different. To ensure that overlapping intervals are not included in the data set apply a filter on the Assay tab by Priority (Priority=1, for example). Alternatively, include Samples in Interval Splitting when you define your selection file.


Geology

Select the category and the form definition that best defines the fields that you would like included in the data set.

Note that all the read-only compounds are exposed to the Geology tab, enabling you to generate several assay files, each with a different filter applied, instead of repeating the export multiple times.

You can define a filter to subset the records that will be included in the data set.

Select from the following columns to define the Geology data set:

Use | Select to include in the data set.
Max Length | The current field size is displayed. Edit to truncate Text fields. Numeric fields cannot be edited.
Split Inc | Suitable for Text fields only. Enter the number of characters required in a field. If the number entered is smaller than the total number of characters in the field other fields will be created to include all the data. The naming of the fields is in the following format: <original field>, <original field_Ext1>, <original field_Ext2> and so on. This option is suitable for splitting up comments fields.
No of Dec | Suitable for Numeric fields only. The decimal points will be truncated to the number of decimal points entered.

The Sort Selected Fields button [image] invokes a window in which selected fields in the form definition can be ordered. Note that unselected fields are not available for sorting in the Order window.

  • Click Sort A->Z for ascending order

  • Click Sort Z->A for descending order

  • Drag and drop. Click to select a record, then drag it to a new location.

To reorder the field selection (Use) so that the exported data set is in the correct order:

  1. Highlight a field.

  2. Click on the grey area to the far left and move it to the new location.

  3. Select another field or click Apply to save.

You may want to include in the data set more data than that associated with one Geology form definition. This button gives you the opportunity to create further Geology data sets based upon other form definitions.

Create new Geology page.

Click and you will be asked to type in the name of the new Geology page.

This will create a new tab at the same level as Geology Items. Select the new tab name and you will have to complete the same information as for Geology Items (select the form definition and the available fields).

Note

The maximum number of Geology pages that can be exported is 20.

Type in the new name for the page/Geology data set tab.

Rename current page.

To delete the current tab.

Delete current page.

Select if you want to eliminate the problem of overlapping intervals in the selected data set.

For example, if you have the following data:

From | To | Lith | Min
0 | 2 | X |
2 | 4 | Y |
0 | 6 |  | Z

If you select this option the data set would be:

From | To | Lith | Min
0 | 2 | X | Z
2 | 4 | Y | Z
4 | 6 |  | Z

It is recommended that this option is selected for those clients that cannot deal with overlapping intervals.

Also see Interval Splitting.

If this option is selected you will need to select one of the PrimaryCodes from the drop-down list. The Available fields (GeologyCodeSecondary.Name) with a PrimaryCode (GeologyCodeSecondary.PrimaryCode) equal to the selected will be highlighted.

This will help you to make your choice for Fields to be loaded.

If you have defined a profile using Default Settings on the Manage menu, you can apply a profile or template to the object.

The profile has all or some of the settings that will apply to this and other tabs in the dialog.

Select the appropriate profile from the drop-down list and the settings will apply to the object. All the options in the settings are selected. You can clear any of the options to not include them.

Initial data

GeolFrom | GeolTo | Lith1 | Lith2
0 | 2 | XX |
1 | 4 |  | YY

Result, after combining overlapping intervals.

GeolFrom | GeolTo | Lith1 | Lith2
0 | 1 | XX |
1 | 2 | XX | YY
2 | 4 |  | YY

Geology

The Geology page is used for selecting the geology fields to be exported.

Select Geology field list

Filter

Field selection

Sort selected fields

Reorder fields

Create new page

Rename current page

Delete current page

Combine overlapping intervals

Select only with Primary Code

Defaults

Example of overlapping intervals


Interval Splitting

It is possible that a SampleID is assigned assay values from another composite sample if you decide to split and combine the interval data. In your case it looks like you have several sample types with overlapping intervals with each these sample types not necessarily having the same Analysis Suites. If you decide to split on smallest intervals or Sample (which will split on the SAMPLETYPE having the highest rank) acQuire will try to populate each of the element fields and if the smallest interval of highest ranked SAMPLETYPE does not have a value it may come from another sample type having that same interval.

If you have the scenario below:

SAMPLEID | SAMPLETYPE | SAMPFROM | SAMPTO | Au_MET_ppm | Au_LW_ppm | Au_BLEG_ppM | Au_BEST_ppm
A_001 | 1 m | 0 | 1 |  |  | 1 | 1
A_002 | 1 m | 1 | 2 |  |  | 2 | 2
A_003 | 1 m | 2 | 3 |  |  | 3 | 3
A_004 | 1 m | 3 | 4 |  |  | 4 | 4
B_001 | 2 m | 0 | 2 | 5 |  |  | 5
B_002 | 2 m | 2 | 4 | 5 |  |  | 5
C_001 | 4 m | 0 | 4 |  | 10 |  | 10

With the following ranking set up:

Sample type | Rank
1 m | 1
2 m | 2
3 m | 3

And you export the assay results by choosing to split over Sample intervals and you wanted all of the above fields you would get the following result:

SAMPLEID | SAMPLETYPE | SAMPFROM | SAMPTO | Au_MET_ppm | Au_LW_ppm | Au_BLEG_ppM | Au_BEST_ppm
A_001 | 1 m | 0 | 1 | 5 | 10 | 1 | 1
A_002 | 1 m | 1 | 2 | 5 | 10 | 2 | 2
A_003 | 1 m | 2 | 3 | 5 | 10 | 3 | 3
A_004 | 1 m | 3 | 4 | 5 | 10 | 4 | 4

The missing intervals will be interpolated, e.g. all Au_MET_ppm and Au_LW_ppm intervals will be populated even though they were not assayed for this particular interval.

Note that data would be exported in such a way for interpretation; the original data is unaffected. To export all of the original data, you would not choose to perform interval splitting.

If you had the scenario where the ranking set up is:

Sample type | Rank
1 m | 4
2 m | 2
3 m | 3

And you export the assay results by choosing to split over Sample Intervals and you wanted all of the above fields you would get the following result:

SAMPLEID | SAMPLETYPE | SAMPFROM | SAMPTO | Au_MET_ppm | Au_LW_ppm | Au_BLEG_ppM | Au_BEST_ppm
B_001 | 1 m | 0 | 1 | 5 | 10 | 1 | 1
B_001 | 1 m | 1 | 2 | 5 | 10 | 2 | 2
B_002 | 1 m | 2 | 3 | 5 | 10 | 3 | 3
B_002 | 1 m | 3 | 4 | 5 | 10 | 4 | 4


Geology Priority

On the Intervals tab of the export object data selection, you can define the which end of a range of numbers is to be the highest priority. It can be defined as:

  • The smallest. The smallest number in the GeoInterval.Priority field will be the highest priority. For example, 1 in a range of priorities from 1 to 10 is the smallest number and therefore the highest priority.

  • The largest. The largest number in the GeoInterval.Priority field will be the highest priority. For example, 10 in a range of priorities from 1 to 10 is the largest number and therefore the highest priority.

To do this, open the METADEFAULTS table (use a SQL object) and change or add the following record:

('SYSTEM','GEOLOGY','HIGHEST_PRIORITY',0,'LARGEST')

Where LARGEST can be SMALLEST.

If this record is not defined in the METADEFAULTS table, the highest priority is assumed to be the smallest number (1 in a range of priorities from 1 to 10).

If there are two Geology results for the same interval, the interval used in the split/combine interval will be the one with the highest priority.


Survey

Select from the drop-down list of methods. Refer to the De-surveying page for details.

Method | Description
Fit Spline | Uses a polynomial calculation to generate a curve approximating the hole path in three dimensions. Depending on the coefficients, the surveys are calculated at fixed increments down the hole.
Semi-tangent | Uses a semi-tangent calculation method with radial distance correction to calculate a precise coordinate position for a given distance down a drillhole from the collar. This method will add interpolated surveys down the hole at depths spaced by the De-survey interval.
Back Calculation | Inserts additional points halfway between surveys. The 3-dimensional locations of the added points are calculated by averaging downhole survey results.
Split Segments | Calculated survey points are added if the rate of change in azimuth or dip is greater than a given tolerance. The parameters are coded into the algorithm and cannot be changed.
Minimum Curvature | Using the deviated geometry survey measurements at every station down the hole, the method fits an arc between stations by calculating the dog-leg angle from 3-dimensional vectors and scaling by a ratio factor based on the magnitude of the dog-leg.
No Calculation | Uses the raw survey results in the database.

Select from the drop-down list of Collar fields (not including the primary and required fields or numeric).

The selected field should have the calculation method for a particular HoleID (Semi-tangent, Fit Spline, Back Calculation, Split Segment or No Calculation).

If no calculation method had been entered for a record (a HoleID) then the default method will be that defined by Use method.

Type in the interval, in metres, down hole for each de-survey.

The de-survey interval will follow that defined by the De-survey interval as much as possible (see also the next definition). If a de-survey point occurs within an Assay interval, it will be shifted to the next SampTo point.

If there is no collar survey, the first survey point will be extended back to the collar.

Split the sample interval if the value is greater than the defined Split interval. It will be split at the smaller of:

  • the value defined in the Split interval field

  • the value defined in the De-survey interval field.

Split the geology interval if the value is greater than the defined Split interval. It will be split at the smaller of:

  • the value defined in the Split interval field

  • the value defined in the De-survey interval field.

If selected, a default values for drillhole dip and azimuth are entered for holes with no survey data.

The azimuth is set to the value in the Azimuth field, and the drillhole dip is set to the value in the Dip field.

Dip Offset

The drillhole dip is subject to modification by the DIPOFFSETTOVERTICAL option in the METADEFAULTS table. If DIPOFFSETTOVERTICAL is set to ON, then the dip is offset by 90, i.e. a value of 0 indicates a vertical hole.

Select this option to redefine the source field for the data. By default the depth, dip and azimuth for a HoleID will be found in HoleSurvey.Depth, Dip and Azimuth.

Select from the drop-down list of Survey fields if either or all of the depth, dip and azimuth are not defined in the default.

Redefining the source field for azimuth could have an effect on the results if you transform the azimuth from one grid to another grid system.

You can define a filter to subset the records that will be included in the data set.

Select from the following columns to define the Surveydata set:

Use | Select to include in the data set.
Max Length | The current field size is displayed. Edit to truncate Text fields. Numeric fields cannot be edited.
Split Inc | Suitable for Text fields only. Enter the number of characters required in a field. If the number entered is smaller than the total number of characters in the field other fields will be created to include all the data. The naming of the fields is in the following format: <original field>, <original field_Ext1>, <original field_Ext2> and so on. This option is suitable for comments fields.
No of Dec | Suitable for Numeric fields only. The decimal points will be truncated to the number of decimal points entered.

To reorder the field selection (Use) so that the data set is in the correct order:

  1. Highlight a field.

  2. Click on the grey area to the far left and move it to the new location.

  3. Select another field or click Apply to save.

You can further subset the data that will be included in the output by defining the value of an acceptable HoleSurvey.Priority.

If selected, all dips (in the default field of HoleSurvey.Dip or another field by clicking the Redefine Fields button) will be multiplied by –1.

Define the constant that will be added to the HoleSurvey.Azimuth (or another field by clicking on the Redefine Fields button).

Type in the number of decimal places for the azimuths in the data set.

The Sort Selected Fields button [image] invokes a window in which selected fields in the form definition can be ordered. Note that unselected fields are not available for sorting in the Order window.

  • Click Sort A->Z for ascending order

  • Click Sort Z->A for descending order

  • Drag and drop. Click to select a record, then drag it to a new location.

If you have defined a Profile (Manage, Default Settings), you can apply a profile or template to the object.

The profile has all or some of the settings that will apply to this and other tabs in the dialog.

Select the appropriate profile from the drop-down list and the settings will apply to the object. All the options in the settings are selected. You can clear any of the options to not include them.

Survey

The Survey page contains the parameters used to determine the survey data output.

De-surveying

Use method

Defined by Collar field

De-survey interval

Always de-survey with Assays

Extend first survey to collar (if no survey at collar)

Split sample

Split geology interval

Create default interval with Azimuth

Redefine Fields

Select Survey field list

Filter

Selection

Reorder fields

Load only where priority

Multiply survey dip by –1

Add constant to Azimuth

Azimuth No Dec

Sort selected fields

Defaults


Alias Fields

Select from the drop-down list of Collar, Survey, Assay and Geology. The list of acQuire field names will change as you change the export group. By default the acQuire field names are repeated in the Alias list.

The E column, on the far left, flags those fields that exceed the length defined by the client with an exclamation mark. These field names will be truncated to the defined client software requirements, so may need editing to prevent duplication of field names (which may cause data to be lost).

Update Database

Select to save your Alias to the database. Next time you select this client you will not need to define aliases.

  1. Highlight the field for which you want to create an alias.

  2. Click Edit and enter the alias for that field.

If you double-click on the selected field the same Edit dialog will open.

Note

If you select the output client as TEXT the E column will have no entries.

If the output client is (MINESIGHT, GEMS or MICROMINE, the E column may contain an exclamation mark indicating field names longer than those supported by the client. This may cause some problems when the data is used by the client.

Select Update Database to ave the alias name for the next time that Drillhole/Point Sample Export is used.

Drillhole - GDB (Wholeplot) client

Although not shown on the Drillhole Alias Fields dialog, the necessary aliasing for Wholeplot has been undertaken 'behind the scene'. For example, HOLEID = DH_Hole, SAMPLEID = Sample and DEPTH = DH_Depth.

Channel names cannot include space or operand characters. These characters are replaced with an underscore '_'.

In the new Geosoft channel, the channel label is given the value of the original, unaltered field name.

Point Sample - GDB (Chimera) client

Aliasing is treated similarly to that for a Wholeplot client. The following are treated differently:

acQuire Field Name | Chimera Channel Name
SAMPLEID | Sample
PROJECTCODE | Project
POINTEAST | East
POINTNORTH | North

Alias values entered for these three fields will be ignored, and the Chimera Channel Names shown above are used. Channel names cannot include space or operand characters. These characters are replaced with an underscore '_'.

In the new Geosoft channel, the channel label is given the value of the original, unaltered field name.

Alias Fields

Instead of accepting the acQuire field names you may like to define the field names that will be in the exported data. You can define the output field names for the four areas – collar, survey, assay and geology.

Export Group

Edit button

Update Database

Geosoft GDB clients

Click Next to progress to the next dialog.

Note

Datamine client: Field or column names cannot be longer than 8 characters. Make sure that you Alias them correctly to prevent data loss. It is recommended that reference to HOLEID is aliased to BHID and that all fields, where possible, are in upper case. This will make it easier to load into Datamine.

GEMS client: It is recommended that field names are a maximum of 10 characters to exporting to GEMS .mdb files.


De-surveying

The calculation for minimum curvature desurveying is as follows:

Eq 1 DL = Arccos (Cos (WD2 - WD1) - Sin WD1 * Sin WD2 * (1 - Cos (A2-A1)))

Eq 2 CF = 2 / DL * (Tan (DL / 2))

Eq 3 North = SUM ((MD2 - MD1)*((Sin WD1 * Cos HAZ1 + Sin WD2 * Cos HAZ2) / 2) * CF)

Eq 4 East = SUM ((MD2 - MD1) * ((Sin WD1 * Sin HAZ1 + Sin WD2 * Sin HAZ2) / 2) * CF)

Eq 5 TVD = SUM (((MD2 - MD1) * (Cos WD2 + Cos WD1) / 2) * CF)

Where:

DL = dog leg severity (degrees)

CF = curvature factor

East = easterly displacement (feet or metres); negative = west

HAZ1 = hole azimuth at top of course (degrees)

HAZ2 = hole azimuth at bottom of course (degrees)

MD1 = measured depth at top of course (feet or metres)

MD2 = measured depth at bottom of course (feet or metres)

North = northerly displacement (feet or metres); negative = south

TVD = true vertical depth (feet or metres)

WD1 = well deviation at top of course (degrees)

WD2 = well deviation at bottom of course (degrees)

Desurveying

Desurveying is the process of calculating the true profile of a drillhole from downhole survey results. The downhole surveys give dip and azimuth measurements at intervals down the hole, and these are used to determine the exact depth and orientation of the drillhole so that samples can be assigned true 3-dimensional locations when imported to mine planning software.

The Use Method option on the Survey sheet provides several different desurvey algorithms:

Fit Spline

Uses a third order polynomial from three or more surveys to calculate interpolated points on a curve approximating the drillhole profile.

Reference:

Howson, M. and Sides, E.J., 1986, SHORT NOTE - BOREHOLE DESURVEY CALCULATION, Computers and Geosciences, Vol 12, No 1,p p.97-104

Original version written by D.Lund of Broken Hill Pty Ltd

Semi-Tangent

Calculates a precise coordinate position for a given distance down a drillhole from the collar, using a semi-tangent calculation method with radial distance correction, which was developed in 1976 by Mount Isa Mines.

Back Calculation

Inserts additional points halfway between surveys. The 3-dimensional locations of the added points are calculated by averaging downhole survey results.

For example

Original Survey Intervals |  | Back Calculated Survey Intervals
0 | 50 | 0 | 25
50 | 100 | 25 | 75
100 | 150 | 75 | 125

Split Segments

Calculated survey points are added if the rate of change in azimuth or dip is greater than a given tolerance. The parameters are coded into the algorithm and cannot be changed.

Points are only added if the hole deviates by more than the given tolerance; the number of points added between stations depends on the rate of deviation.

Minimum Curvature

The minimum curvature method calculates true vertical depth and azimuth using the deviated geometry survey measurements at every station down the hole. The method takes fits an arc between stations by calculating the dog-leg angle from 3-dimensional vectors and scaling by a ratio factor based on the magnitude of the dog-leg.

See below for equations used in calculation.

No Calculation

Uses the raw survey results in the database. Suitable for Maxi-Bore survey data or similar.

Minimum Curvature Calculation

Calculation


Point Sample Export Overview

Export - Point Sample is both a tool and an object in your workspace. In both cases, it is used to export a set of comprehensive PointSample data in a particular format for data clients.

To achieve this you must first define the selection criteria for the data that you want to export. The selection defines the particular data that is to be included in the export.

There are three ways that you can access the Point Sample Export function.

  • Select Point Sample Export on the File menu.

    This opens the Drillhole Selection dialog but does not save an export object to your workspace.

  • Create an Export object. Right-click on a folder in the workspace tree and select New, Export, Point Sample.

    This will create a new export object in your workspace. Double-click to open the object and display the Point Sample Selection dialog.

  • Use command line export. Parameters can be defined in a command line statement.

Exporting point sample data is essentially a two-stage process:

  1. Select the data to be exported. See Point Sample Selection and acQuireDirect.

  2. Select and configure the output format. See Export Output.


Point Sample Selection

Point Sample selection

The Point Sample Selection dialog differs slightly depending upon the way you accessed the Point Sample Export function.

File Menu Access

When accessed through the File menu, the Point Sample Selection dialog includes a field enabling you to browse for a file or to select from a list of recently used .sel files. A .sel file contains the details of the drillholes and fields to be exported.

  1. Use the Load selection from file field to locate an existing .sel file, or click New to open the Select data from acQuire dialog and create new selection criteria.

  2. Save the definition to a file. This file is saved in a user-defined location and called <user defined name>.sel. When a .sel file has been saved, the New button changes to Edit.

  3. If required, click Edit to open the Select data from acQuire dialog and change the parameters in the current *.sel file. You will be asked to save the selection file when you have finished editing.

  4. Click Save to save the current *.sel file.

  5. Use the Select output client drop-down list to pick an output format.

  6. Click Next to continue. See Export Output for further details.

Workspace Object Access

When an export object is opened from your workspace, the Point Sample Selection dialog will be displayed.

  1. Click Edit to open the Select data from acQuire dialog and select the data to be exported, or click Import to use a .sel file to set the export data criteria.

    The data export selection criteria are saved with the object and are not available to other objects. An export object cannot save to a .sel file.

  2. Use the Select output client drop-down list to pick an output format.

  3. Click Next to continue. See Export Output for further details.


Select Campaigns

Select from the following columns to define the Collar data set:

Use | Select to include in the data set.
Max Length | The current field size is displayed. Edit to truncate Text fields. Numeric fields cannot be edited.
Split Inc | Suitable for Text fields only. Enter the number of characters required in a field. If the number entered is smaller than the total number of characters in the field other fields will be created to include all the data. The naming of the fields is in the following format: <original field>, <original field_Ext1>, <original field_Ext2> and so on. This option is suitable for splitting up comments fields.
No of Dec | Suitable for Numeric fields only. The decimal points will be truncated to the number of decimal points entered.

The Sort Selected Fields button [image] invokes a window in which selected fields in the form definition can be ordered. Note that unselected fields are not available for sorting in the Order window.

  • Click Sort A->Z for ascending order

  • Click Sort Z->A for descending order

  • Drag and drop. Click to select a record, then drag it to a new location.

To reorder the field selection (Use) so that the data set is in the correct order:

  1. Highlight a field.

  2. Click on the grey area to the far left and move it to the new location.

  3. Select another field or click Apply to save.

Click to preview your selection. You will get a summary report of the number of records selected.

Select Campaigns

The Select Campaigns page is used to pick the drillholes for which data is to be exported.

First select the category and then the form definition that best defines the fields that you want to included in the data set. You can apply a filter to restrict the data to a subset.

Select fields

Sort selected fields

Reorder fields

Preview


Select from the following columns to define the point sample output set:

Use | Select to include in the output.
Max Length | The current field size is displayed. Edit to truncate Text fields. Numeric fields cannot be edited.
Split Inc | Suitable for Text fields only. Enter the number of characters required in a field. If the number entered is smaller than the total number of characters in the field other fields will be created to include all the data. The naming of the fields is in the following format: <original field>, <original field_Ext1>, <original field_Ext2> and so on. This option is suitable for splitting up comments fields.
No of Dec | Suitable for Numeric fields only. The decimal points will be truncated to the number of decimal points entered.

Point Sample Export Settings

The settings to define are:

Select Point Sample form definition

Select the form definition that best defines the fields that you would like to export.

Filter

You can define a filter to subset the records that will be exported.

Select fields

Reorder fields

To reorder the field selection (Use) so that the output is in the correct order:

  1. Highlight a field.

  2. Click on the grey area to the far left and move it to the new location.

  3. Select another field or click Apply to save.

Load coordinates

Select if you want to export the:

  • SampleID

  • PointEast

  • PointNorth

  • PointRL

Only available if no Point Sample virtual fields have been selected.

Default

If you have defined a Profile (Manage, Default Settings), you can apply a profile or template to the object.

The profile has all or some of the settings that will apply to this and other tabs in the dialog.

Select the appropriate profile from the drop-down list and the settings will apply to the object. All the options in the settings are selected. You can clear any of the options to not include them.


Coordinate Management System Overview

The coordinate management system in acQuire stores all the data associated with grids and grid transformations.

This means that there is not a proliferation of coordinate data stored in the database because of the multiple grids on site. Data can be stored in one grid and transformed to a selected grid when required. You need only store one set of coordinates and many grid definitions.

Transformations between geographical, projected and local grids can be achieved and the results are constant. This means that any grid can be transformed to:

    • One on the same level (see below - local to local, for example).

    • One on a higher level (local to projected).

The fundamental objective of the acQuire coordinate management system is to provide:

  • A solution for storing all the history and project evolution associated with coordinate grid systems.

  • The computational methodology whereby transformations could be applied by end users without having to understand the fundamentals of geodesy.

  • A dynamic transformation delivery system to third party application systems and for the acQuire export tool.

  • A normalised relational structure that is very flexible for querying and reporting. For example, 'How many drillholes have been drilled on the local grids versus on AMG grids?'


Coordinate Management Steps

  1. You need to define a grid first. Go to Manage, Coordinate System, Setup Grid. In the coordinate management system, each coordinate point is associated with a grid. Each grid is defined so that it can be related spatially. Therefore you need to define the grid before you can enter coordinates into virtual fields in the database.

When a new grid is created, a SurveyAzimuth virtual field is also created. This is for storing or using to transform azimuth. The name of this new field is <GridName>_GDAZIMUTH.

  2. Once the grid is defined you can create a coordinate set of virtual fields to store the points. Each of the coordinate sets is associated with a grid (Step 1).

There are two ways to create coordinate sets of virtual fields:

    • Go to Manage, Coordinate System, Setup Coordinate Set Virtual Fields.

    • Manage, Virtual Field Wizard and select a Collar form definition. Progress through the dialogs to Step 4. Manage COORDINATESET Fields for Collar. The coordinate set name that you enter will have three associated virtual fields - one for each of the three coordinate points, X, Y and Z.

If a coordinate set is to have transformed coordinates (ie calculated rather than original data), the SurveyMethod must be Calculated. Only a coordinate set that has a SurveyMethod of Calculated can receive transformed coordinates. This prevents original data being overwritten by the transformation process (see Step 5, below).

  3. When the coordinate sets are created you need to include them in a form definition. Once the form definitions are created import, data entry and form objects can be created based these form definitions. Go to Manage, Form Definition on the main menu. Include the new coordinate sets to a Collar form definitions or add them to existing one. SurveyAzimuth virtual fields can be added to Survey form definitions (see Step 1 above).

  4. Enter coordinate data. Use either a form, data entry or import object to achieve this. Each of these is based on a Collar form definition (Step 3). If you enter at least one set of points you can perform a transformation. The source coordinate data can reside in either the East, North, RL (of Collar) and Azimuth (of Survey) or in a coordinate set (Step 2) and SurveyAzimuth (<Grid name>.GDAZIMUTH).

  5. Transform the coordinates of points from one grid to another grid system. There is two ways that this can be achieved:

    • Transform coordinates and azimuths as you export data. Create an export object (Drillhole or Point Sample) in your workspace. On the Geographic tab define the field associated with the export.

    • Transform coordinates and azimuths and save into the database. Go to Tools, Transform Coordinates on the main menu.

In this process you will select the source set of points by identifying the source coordinate set/s. You will then identify the destination coordinate set. When the tool is executed the source coordinates and azimuth will be transformed to the grid type of the destination coordinate set.

Coordinate Management Steps

Management of your coordinate information means efficiently:

  • Storing a collection of coordinate points.

  • Defining grids to which the points belong.

  • Transforming points from one grid system to another, and storing them in the database or exporting them to a client format file.

There are two main areas of coordinate management which are defined by who performs the task.

acQuire manager on site:

  • Define the coordinate grids

  • Create coordinate sets of virtual fields

  • Create form definitions that include those fields.

General user:

Use the grids, transformations and coordinate virtual fields that have been established to:

  • Export data. Use the fields to filter and transform coordinates for both drillhole and point samples. A form which includes coordinate sets of fields can also be exported to a file.

  • Filter. The coordinate sets of virtual fields can be used in numerous places in acQuire to filter a form, create a workspace filter, in the Calculated Fields tool and more.

Steps


Setup Coordinate Sets

  1. Click the Add button.

  2. Enter the COORDINATESET. This is the name of the new coordinate virtual field set or group (X,Y and Z). The same rules apply to the naming of these fields as does to other virtual fields: do not include spaces, special characters or do not start the name with a numeric.

  3. Enter a Description if appropriate. It is always good practice to fully define virtual fields.

  4. Select the GRIDNAME that is associated with these fields.

  5. Select the SURVEYMETHOD associated with this field. If the coordinate set is to store transformed coordinates it must have a SurveyMethod of Calculated.

  6. Define the RANK of the field. The rank is a system or prioritising the data in coordinate virtual fields - the coordinate virtual field with the highest rank is the one with the lowest value in the rank field.

Rank is used during coordinate transformations. If source data is stored in a number of coordinate sets, the set with the highest rank (lowest value) is selected as the source.

  7. Click Apply to save the new coordinate virtual field to the database

For each coordinate set name, three virtual fields are created. These fields store coordinates which define the location of a point in space:

  • X. East or longitude.

  • Y. North or latitude.

  • Z. Elevation or RL.

Create Coordinate Sets

A coordinate set of virtual fields consists of three virtual fields bound together by a coordinate set name. These fields store the coordinates of a point and are associated with:

  • Collar compound definition (for HoleType = DRILLHOLE) in the HoleCoord table.

  • PointSample (for HoleType = GEOCHEM) compound definitions in the SampleCoord table.

Coordinate sets can be created in two areas in acQuire. Go to:

  • Manage, Virtual Field Wizard to create them. Select the Collar compound definition and move through to Step 4. Manage GDCOORDINATESET Fields for Collar to create a new one.

  • Coordinate System, Setup Coordinate Set Virtual Fields on the Manage menu.

Steps

Fields created

Note

If the coordinate set is to store transformed coordinates it must have a SurveyMethod of Calculated.


Rank and Coordinate Sets

When transforming coordinate data from one grid to another, you need to select the source data. The source data may be stored in a number of coordinate sets over a number of grids. The data that is used in the transformation is from the selected coordinate sets. If more than one coordinate set is selected, the source data that is used is selected according to the location of the grid in the display and the rank of the coordinate sets.

In the example above, the data will be selected in the following order:

  1. Coordinate set1. If there is no data for a point, the next highest rank coordinate set in the current grid (the top-most) will be selected. Coordinate set1 is associated with Grid1, which is the top-most grid in the list. Coordinate sets that are associated with grids higher in the list are selected before coordinate sets associated with grids that are lower in the list.

  2. Coordinate set2. If there is no data for a point, the coordinate set with the highest rank in the next listed grid will be selected.

  3. Coordinate set3. If there is no data for a point, the next highest rank in the current grid will be selected.

Therefore the data that is selected depends upon:

  1. The order of the grids in the display. The order of the grids in the display can be rearranged by dragging and dropping them with the cursor.

  2. The rank of the coordinate set within the current grid. The rank is defined when the coordinate set is created. The coordinate set with the highest rank is the coordinate set with the lowest value for the field Rank.

To rearrange the order of grids in the display highlight the grid record (click on the area to the left of the record). Click again on the record and the cursor will be displayed in move mode. Drag and drop the record to the desired location in the list.

Coordinate sets are associated with Collar compound definitions.

Steps

  1. Go to Coordinate System, Setup Coordinate Set Virtual Fields on the main menu.

  2. The Manage GDCOORDINATESET Fields for Collar dialog will open.

  3. Add, Edit or Remove coordinate sets.

  4. Click Finish to save the settings and exit the dialog.

Alternatively you can create a coordinate set via Manage,Manage, Virtual Field Wizard, progress to Step 4. Manage GDCOORDINATESET Fields for Collar .

Rank and Coordinate Sets

Many exploration and mining companies experience the problems associated with data that has been collected over an area of interest which is covered by multiple grids: each grid defined by a different spatial system. In acQuire, coordinate data for a drillhole or point can be stored in a set of virtual fields called coordinate sets. Each coordinate set is associated with a grid and is assigned a rank.

Selecting the source data

Moving grids in the display

Creating coordinate sets

Ranking can also apply at the grid level, so that if multiple surveys of a point exist in different grids, the best ranked coordinate set can be found across all grids. See the explanation in the Automatically Transform Coordinates page.

Note

Source coordinates can also be stored in the East, North and RL in HoleLocation for HoleType = DRILLHOLE and PointEast, PointNorth and PointRL for HoleType = GEOCHEM.

There is no rank associated with azimuth fields - either the Azimuth in Survey or the azimuth virtual field that is created when a grid is created: <Grid Name>_GDAZIMUTH. The order of the azimuth fields when the source data is selected is the order of priority or rank.


Transform Coordinates

In order to perform a transformation you need:

  • At least two defined coordinate grids - a source grid and a destination grid.

  • Source data in either:

    • coordinate set virtual field.

    • Original East/North/RL/Azimuth field. These are the East, North, RL fields in HoleLocation and Azimuth in HoleSurvey.

  • A coordinate set virtual field defined as the destination fields that belongs to a different grid system than the grid system of the source data.

You need to select a category and Collar form definition in order to define a filter and to complete the transformation.

Apply an appropriate filter to subset the data set.

At <new>, type in the name that you want to give to the current selected settings - the filter, the source and the destination details.

Save | Click to save the current settings to the <new> name or to save the edited settings.
Delete | Select a setting from the list and click to delete.

Select the grid that has the coordinate set that will receive the transformed coordinates.

Type in the number of decimal places for the transformed X, Y and Z coordinates.

Select the particular coordinate set that will receive the transformed coordinates. If a coordinate set is not listed, check (go to Manage, Coordinate System, Setup Coordinate Set Virtual Fields) that it has a SurveyMethod of Calculated.

Select the source data from either:

  • grid and coordinate sets.

  • Original East/North/RL/Azimuth (HoleType=DRILLHOLE). The East, North and RL fields in HoleLocation and Azimuth in HoleSurvey.

  • Original PointEast/PointNorth/PointRL (HoleType=GEOCHEM). The PointEast, PointNorth and PointRL in Sample.

Due attention should be paid to the rank of each coordinate set. If more than one coordinate set is selected, data will be selected from the:

  • Grid that is the highest in the display of the selected grids. Use drag and drop to reorder the grids in the display if you are manually specifying the source grids/coordinate sets.

  • Coordinate set with the highest rank (lowest value) in a grid.

Select either:

  • Automatically find the best ranked coordinates/azimuths data to transform: the system selects. It is recommended that this default is selected.

  • Manually specify the source grids/coordinate sets to transform: the user selects. The order in the Grid list can be changed by dragging and dropping individual grids.

Select this option to not include those coordinate sets in the source grid list which have been defined to have a SurveyMethod of Calculated. In this way, calculated data cannot be used to derive calculated results.

Select this check box if you want to transform the source survey azimuths into the destination grid azimuth system. The HoleSurvey.Azimuth should be relative to the HoleSurvey.AzimuthGridName. If the AzimuthGridName is NULL, the HoleLocation.Grid is used in the transformation.

Type in the number of decimal places required for the transformed azimuths.

Transform Coordinates

This tool will transform coordinates from selected source grid/s and write them into the a coordinate set of a destination grid. The spatial relationships between the source and destination grids are defined when the grid is created.

The transform process will overwrite any coordinate results in the selected output grid.

What you need

Select form definition

Filter

Settings

Transformation settings

Destination grid

No Dec

Destination coordinate set

Source grid/coordinate set

Automatically find the best ranked source or manually specify the source

Hide calculated coordinate sets with SurveyMethod='Calculated'

Transform survey azimuths in the destination grid

Azimuth No Dec

Click Next and you will receive a summary of the transformation process.

Click Finish to execute the process and close the dialog.

Note

Transformed coordinates can only be written to a coordinate set that has a SurveyMethod defined as Calculated (defined when the coordinate set is created).

If transforming from one projected grid to another projected grid, and depending on the location of the points within the projection, the accuracy of the results may diminish.

Drillholes or point sample campaigns where the STATUS_QLOH field = READ (object tracking), will not have their coordinates transformed.


Source Grids and Coordinate Sets

Select either of the following options to transform coordinates into the destination grid:

Automatically

When the Automatically find best coordinates/azimuths to transform option is selected, the list of grids is hidden. See the Automatically Transform Coordinates page for details.

Manually

If the Manually specify source grids/coordinate sets to transform option is selected, the list of grids and coordinate sets is displayed. Grids and coordinate sets are used in the order that the are ordered in the, with highest priority listed first. In manual mode the user can modify the order of the list.

In the grid and coordinate list pane, the user can:

  • Change the order of the grids in the list by dragging and dropping individual grids.

  • Specify particular coordinate sets for a grid by selecting or clearing Use. Not all grids have to be selected.

  • Manually select coordinate set virtual fields that have a SurveyMethod = Calculated. Generally, this option is not recommended, as you could be transforming coordinates that have already been transformed.


Automatically Transform Coordinates

If a coordinate is recorded more than once for a particular grid, the coordinate with the best GDCOORDINATESET.RANK is returned.

Coordinates found in HOLELOCATION.EAST, HOLELOCATION.NORTH, HOLELOCATION.RL are given the lowest rank for this grid.

Coordinates with GDCOORDINATESET.SURVEYMETHOD = 'Calculated' are only included if the IncludeCalculated flag is set, and then they participate according to their defined rank.

Take the best ranked coordinate set within each grid (passed from Step 1), and compare GDSURVEYMETHOD.RANK to retrieve the final best ranked coordinate set.

Coordinates where GDSURVEYMETHOD.RANK is NULL are given lowest ranking.

If coordinates cannot be distinguished in terms of GDSURVEYMETHOD.RANK, the preferred GridName is chosen. If no coordinates are found on the preferred GridName, then the GridName is sorted alphabetically and the first result is returned.

If a coordinate is recorded more than once for a particular grid, the coordinate with the best GDCOORDINATESET.RANK is returned.

Coordinates found in SAMPLE.POINTEAST, SAMPLE.POINTNORTH, SAMPLE.POINTRL are given the lowest rank for this grid.

Coordinates with GDCOORDINATESET.SURVEYMETHOD = 'Calculated' are only included if the IncludeCalculated flag is set, and then they participate according to their defined rank.

Take the best ranked coordinate set within each grid (passed from Step 1), and compare GDSURVEYMETHOD.RANK to retrieve the final best ranked coordinate set.

Coordinates where GDSURVEYMETHOD.RANK is NULL are given lowest ranking.

If coordinates cannot be distinguished in terms of GDSURVEYMETHOD.RANK, the preferred GridName is chosen. If no coordinates are found on the preferred GridName, then the GridName is sorted alphabetically and the first result is returned.

Automatically Transform Coordinates

If you elect to automatically find the best ranked coordinate sets to perform the coordinate transformation, the data selection takes the following into account:

Best ranked virtual field coordinate set

For a particular grid, the data is selected from a virtual field coordinate set that has a higher rank, in preference to a set with a lower rank. The rank of a virtual field coordinate set is defined when it is created. A high rank is a low value in the GDCoordinateSet.Rank field, and a low rank is a higher value in the same field. Only measured virtual field coordinate sets (those that have a GDCoordinateSet.SurveyMethod <> 'Calculated') are included in the source data.

For:

  • HoleType = DRILLHOLE. For a particular HoleID/GridName combination, measured virtual field coordinate sets are ranked in order from the highest to the lowest in the HoleCoord table: the smallest GDCoordinateSet.Rank value to the highest value.

  • HoleType = GEOCHEM. For a particular SampleID, the measured coordinates are ranked in order from the highest to the lowest in the SampleCoord table: the smallest GDCoordinateSet.Rank value to the highest value .

Azimuth

For a particular HoleID/GridName, the procedure is:

  1. First look for an azimuth in HoleSurvey.Azimuth.

  2. If there is no azimuth in HoleSurvey.Azimuth, the search continues to the SurveyAzimuth table.

  3. If more than one azimuth is found in the SurveyAzimuth table, the entries are sorted alphabetically, and the first value is taken.

Once an azimuth is found, it is converted to the azimuth of the destination grid, via the grid transformation process.

Drillhole: East, North and RL

This option returns the best Collar coordinates across all grids, using the following procedure:

  1. Determine best ranked coordinate set for each grid in which the collar exists.
    Notes

  2. Examine GDSurveyMethod.Rank to determine the best ranked coordinate set across all grids.
    Notes

  3. If the coordinate sets cannot be distinguished by rank, the coordinate set in the destination grid is used, if present.
    Notes

  4. If no destination grid has been set, or if no coordinate set is found in the destination grid, the grids are examined alphabetically. The coordinate set in the first grid in the list with the best rank is used.

PointSample: East, North and RL

This option returns the best point sample coordinates across all grids, using the following procedure:

  1. Determine best ranked coordinate set for each grid in which the point sample exists.
    Notes

  2. Examine GDSurveyMethod.Rank to determine the best ranked coordinate set across all grids.
    Notes

  3. If the coordinate sets cannot be distinguished by rank, the coordinate set in the destination grid is used, if present.
    Notes

  4. If no destination grid has been set, or if no coordinate set is found in the destination grid, the grids are examined alphabetically. The coordinate set in the first grid in the list with the best rank is used.


Survey Azimuth Transformation

To transform coordinates, you will need:

  • Source data: The azimuth that is defined in terms of the grid of AzimuthGridName must be stored in HoleSurvey.Azimuth. In other words, the azimuth is relative to that grid north. The values in this field may not be the original values. If the original azimuth values were relative to magnetic north, as they often are, will need to adjust the value to be relative to grid north to store in the HoleSurvey.Azimuth field.

This means that when you transform coordinates (using Tool, Transform Coordinates on the main menu or with an export object) you should include the a coordinate set = Original/East/North/RL/Azimuth as one of the data sources.

If there is no value in the HoleSurvey.Azimuth field, the transformation process looks for data in the <GridName>_GDAZIMUTH field that was created when the grid was created.

All original values and their adjustment should be stored in the database.

  • Destination field: A Survey azimuth virtual field defined for the Destination grid.

When the grid is created, a Survey azimuth virtual field is automatically created. The name of this field is <Grid Name>_GDAZIMUTH.

If you are performing the transformation in an export object, the destination for the coordinates (East, North and RL in the Collar output file) and the azimuth (Azimuth in the Survey output file) is defined by acQuire.

The following is the recommended way to store azimuth values:

Azimuths

Field

Comment

The azimuth of the HoleID, relative to grid north where the grid is defined by HoleSurvey.AzimuthGridName.

HoleSurvey.Azimuth

The most accurate azimuth for the HoleID.

This value may be the original or planned azimuth, or it may be a surveyors pick-up.

Original values in a virtual field.

Org_Mag_Azimuth

Manager creates Survey virtual field (SurveyCode table) for the original azimuth value.

The HoleSurvey.Azimuth and the Org_Mag_Azimuth may be equal.

Transformed azimuth

<GridName>_GDAZIMUTH

Azimuth virtual field created when the grid is created (SurveyAzimuth table).

When a transformation is undertaken, the transformed azimuth is stored in the <GridName_GDAZIMUTH field, where <GridName> is the name of the destination grid.

The <GridName> may be different from AzimuthGridName.

The azimuth should be relative to HoleSurvey.AzimuthGridName. If AzimuthGridName is NULL, HoleLocation.GridName is used in the transformation.

Adjustment

Orig_Mag_Adj

The adjustment value required to calculate the azimuth value for a HoleID, which are relative to AzimuthGridName, to values relative to magnetic north.

This is a Survey virtual field (in the SurveyCode table).

To transform coordinates and save to a SurveyAzimuth virtual field in the database.

  1. Go to Tools, Transform Coordinates.

  2. Select a Collar form definition from the categories. Apply a filter if appropriate.

  3. Select a Destination grid and coordinate set. Make sure that you select a destination coordinate set that does not have original azimuth values. It is recommended that original azimuth values are stored in a Survey azimuth virtual field that is named appropriately. For example, Orig_Mag_Azimuth.

  4. Select the source data location. It is strongly recommended that you select the automatic option (Automatically find the best ranked coordinates/azimuths to transform). Take note of the order of the grid list and the rank of their coordinate sets. Both the order of the grids (the top of the list is the destination grid, followed by the grids in alphabetic order), and rank of the coordinate sets (the highest rank, which is the lowest number) determine which data is used to compute the transformation.

  5. Click Next to display a summary of the options that you have selected.

  6. Click Finish to execute the options and exit the dialog.

  7. Check that the azimuths have been transformed in a Survey form.

Survey Azimuth Transformation

Downhole survey azimuths are stored in:

  • HoleSurvey.Azimuth. These values are used in the transformation process. They must be relative to grid north for the grid of the AzimuthGridName. If AzimuthGridName is NULL, the HoleLocation.GridName is used to transform the azimuth.

  • Survey azimuth virtual fields.

Azimuths can be entered into the database via a form, import, data entry or Pocket acQuire object.

The coordinate management system transforms coordinates from one grid system to another grid system, and either saves the transformed coordinates to a:

  • Database field (one of the coordinate set of virtual fields). Use Tools, Transform Coordinates to achieve this.

  • Client output file via an export object.

You will need

Recommended way to store azimuths

Steps

Note

Store the azimuth values that are relative to grid north for the grid of the HoleID in HoleSurvey.Azimuth.


Local Grid - Parent Grid Relationship

You need to define the relationship between the local grid and its parent so that coordinate transformations can take place. The relationship is defined in terms of equivalent points on either grid: points on the local or child grid, and their equivalent on the parent grid.

Transformation type

Select the number of points that best defines the relationship between the local grid and its parent: 1Point or 2Point.

If you select 1Point, you need to enter:

  • Angle. This is the angle of the local grid (the child) with respect to the parent grid.

If, for example, the parent grid = 45 (45 degrees from true north, measured in a clockwise direction), and the child grid = 350 (350 degrees from true north, measured in a clockwise direction ), the angle = 305.

Example

  • Scale. The ratio of a distance on the parent grid to an equivalent distance on the local grid (the child).

If the parent grid is measured in metres, and the child is measured in feet, the scale = 3.281

If the transformation type is 2Point, the angle and scale are calculated by the system from the two points entered. These values are displayed as a check.

Point relationship

A grid will display the appropriate number of records: one record for each equivalent pair of points.

Grid | Enter the coordinates for each point on the local grid. The column headings define the coordinate type - either X, Y or Z.
Parent Grid | Enter the coordinates for the equivalent points on the parent grid.

Note

To ensure an accurate result when transforming coordinates, it is best to define the point pairs with maximum precision.

If a local grid has a parent that is also a local grid, and the parent has no association with a projected grid, you will not be able to transform the coordinates of either of the local grids into a projected or geographic grid.


File_New

Form

Import

Data Entry

Pocket acQuire

Briefcase

SQL

LogReporter

Export

Workspace


Readme Version 4.0.0

What's New in acQuire Version 4.0.0

The following changes or additional features are available in acQuire Version 4.0.0 (major release).

DATA ENTRY OBJECTS

Online and Offline Data Entry

Grid Sheet Data Entry

  • Added option to switch to pivot mode, whereby columns are transposed to rows and only one record appears on screen at any one time. This will be most useful in the Pocket acQuire environment, where screen space is a premium.

  • Save column widths on closing.

Graphical Sheet Data Entry

  • Pivot entry tool enhancements and usability improvements.

  • Added option to snap to intervals from another log.

  • New scale intervals added when zoomed in.

  • Execute Multiple now works in graphical sheet.

  • Edit changes can be committed via a function key (default F9)

General Data Entry Setup

  • Images in sheet panels now work better when sent to back; all other controls now sit on top of the image.

General Data Entry Operation

  • Added an Insert/Update mode button, which allows modes to be changed during data entry.

  • New Pending Edit commit options.

  • Added "Cancel Record Changes" event to a button.

  • New "Copy Down" fields option that can be set at run time.

  • List box control allows for extra columns and check box selection.

  • New design time option to automatically recalculate expressions following re-query of data.

GPS Support

  • GPS capture enabled for Win32 devices (online or offline data entry).

  • GPS configuration panel includes ability to set and track GPS

  • QAQC, GPS model and Pass/Fail QAQC flag.

  • Added option to automatically detect GPS device.

Online Data Entry

Depth Adjustment

  • New data entry function. Allows on screen graphical adjustment of sample and geology intervals based on geophysics trace. The original Logged_From and Logged_To values are stored in separate tables so adjustment can be reverted if required.

Offline Data Entry

  • Export sheet is now configurable at design time, so controls can be added allowing Lookup/Reference codes to be limited at export time. In addition, control sheet variables can be passed through to the Export Data Wizard to limit Main data exported.

  • Restored foreign key relationship between SAMPLEDESPATCH and SAMPLE and between CHECKDESPATCH and CHECKSAMPLE tables.

Important Note

This may break an existing data entry object that contains only SampleDespatch or CheckDespatch sheets with no Sample or CheckSample sheets. The workaround is to add logic into the Accept button to add SAMPLEID to SAMPLE table first, before "Accepting". Same for CHECKSAMPLE.

Pocket acQuire

  • Added Refresh option for current sheet.

  • Added run time filter option.

REPORTS OBJECTS

General

  • Other fields can now reference summary fields and perform calculations. This allows weighted averages to be calculated in summary sections of the report.

  • Limit on number of subreports in report increased to 20.

  • Rich text edit control enables rich text to be created in an external word processing application, saved as rtf file, then pasted into a rich text control. This will allow subscripts and superscripts as well as individual letter properties in a word.

  • The position and dimensions of a control (Edit, Text etc.) can be adjusted at runtime via an expression.

  • Can now set the data type of an Edit control, instead of it always defaulting to text.

Charts

  • Added option to limit each series in a chart by a Limit Data expression.

  • Increased limit on number of series in a chart to 99.

  • Added ability to set a secondary y-axis.

  • Added ability to set axis titles, chart title and legend titles using an expression.

  • Allow for chart length greater than 32,000 twips (now unlimited).

  • New: Command line reports can now be created in unattended mode.

BRIEFCASE OBJECTS

General

  • Briefcase to and from a briefcase package: package consists of a packaged Microsoft Access .mdb file, which is compressed and automatically connected to. Also added support for briefcasing data from optional modules to .mdb: Corp, Geophysics, Coal Quality, etc.

  • If briefcasing to a Microsoft Access .mdb file or Microsoft Access package, the .mdb file is now compacted at the end of a run.

  • When transferring data from an optional database module, e.g. Geophysics, to Microsoft Access, the Microsoft Access .mdb file is automatically updated to include this module.

  • Added Batch Insert entry method, which copies records in batches from source to destination database. This improves transfer speed, but the errors cannot be tracked on a-record-by-record basis. The first error that occurs in a batch will cause rollback. This option is therefore best used when transferring clean data.

  • New briefcase transfer type to transfer collar data minus the East, North,RL fields. ('Collar Data (minus E_N_RL) filtered by Collar')

Command Line Briefcase

  • New: Can now be run in unattended mode.

  • Can setup custom transfers and filters in command line mode.

SCRIPT OBJECTS

General

  • New: Command line script object can now be run in unattended mode.

  • Added option to retrieve data from a form definition, rather than from ad hoc SQL.

QAQC OBJECTS

All Chart Objects

  • New: added report sheets to QAQC object, so charts and statistics can be summarized in one report.

  • In addition to report sheets, QAQC objects can consist of data sheets that can be used to retrieve data for QAQC charts (as long as the data conforms to the QAQC data format), or data sheets that serve as ad hoc queries for further subreports within the main report.

  • Added ability to export all charts, data and statistics into a single folder in a single operation. These files can be imported into a Microsoft Word document or a spreadsheet.

  • Added optional moving average curve.

  • Threshold data now handled consistently across all charts.

  • Keywords such as "Certified" or "Expected" can be redefined at design time.

  • Added upper and lower bounds and step increment options that are adjustable via an expression, and therefore adjustable on a field-by-field basis.

  • Execute button can be programmed to execute all sheets, chart sheets only, or report sheets only.

  • Sheets can be hidden from view.

Standards and Blanks Charts

  • General data statistics, such as standard deviation, can be used when calculating control lines.

  • New Blanks QAQC compound definitions added, providing access to values less than zero.

  • Fixed display of regular standard deviation lines in standards charts when data is NOT normalized.

  • Box-and-whisker plots contain lines denoting 95% confidence limits.

  • Added threshold properties to standards charts.

CorpAssay Module Variation

  • Exposed Assay "PRIORITY" field, so that "Accepted", "Pending" and "Rejected" data can be displayed side by side in charts.

Command Line QAQC Reports

  • New: Sheets that contain reports can be run via the command line in unattended mode.

IMPORTER OBJECTS

Import File Formats

  • Added free format ASCII text.

  • Added Minex format ASCII text.

Import Design

  • Added design mode option to default import execution to "Check Only" when the object is opened.

  • Added batch insert capability, which inserts data in batches of records. This may improve the performance of Insert, especially on Microsoft SQL Server. The drawback, however, is that you cannot report each individual error, just the first error that stops a batch.

  • Header and control sheet variables can be built into the name of the import report file for audit purposes.

  • Execution dialog is now resizable and remembers the size between sessions.

Command Line Mode

  • If an importer expression generates a "STOP" message, this will be treated and reported as an error.

LOG REPORTER

General

  • Fixed issues plotting to certain imperial paper sizes.

EXPORT AND acQuireDirect

acQuireDirect API

  • New: Data can now be retrieved via a DAP Server, rather than ODBC connection, using any acQuireDirect client application. Previously, this capability was only available within the Oasis Montaj or Arc Target applications.

  • Use native database login dialog rather than the acQireDirect version. This means added support for Microsoft SQL Server NT Authenticated login.

  • Add connection and query timeout settings dialog to first page of acQuireDirect dialog.

  • DrillholeDiameter compound definition data now available under Geology tab.

Dynamic Coordinate Transformation

  • Added option for the exported results to record the values of the source coordinates and azimuth before transformation.

  • If HOLELOCATION.GRIDNAME is chosen for selection, it is now returned with the new destination grid. Same applies for HOLESURVEY.AZIMUTHGRIDNAME.

  • Auto Rank Best Coordinates now tries to retrieve a measured coordinate for the specified destination grid. If not found, the coordinate that is retrieved is transformed to the requested grid system.

Spatial Query

  • Added option to limit intervals by geometry (Intervals page).

  • Added extra filter option for drillhole selection:

  • Holes where any segment is (below/inside) (surface/solid/polygon

  • Holes where any segment is (above/outside) (surface/solid/polygon).

  • Fixed problem exporting survey date virtual fields.

Export Client DLLs

  • Added Minex export format.

  • Micromine Export now has option on last page to set text width of required fields.

  • Department of Mines format now conforms to latest standard.

Command Line Export

  • Upgraded command line interface to provide full access to acQuireDirect parameters. For example, field lists, filters, etc. can be specified.

  • Ad hoc filters can be constructed in SQL syntax.

  • An external list of HoleIDs can be passed to the command line export, for hole filtering.

  • Added /trusted option for NT Authenticated login.

  • Added /CPassword option for encrypted password. This can be obtained via a variable in acQuire.

ALL OBJECTS

General

  • Added a properties summary page to each object that contains Creation User, Creation Date, Modification User, Modification Date, Revision, Purpose and Comments.

WORKSPACE

General

  • Modernised the look and feel of icons and folders in menus and workspace tree and toolbars.

GRID TRANSFORMATION TOOL

General

Added new local datum transforms.

  • Australia and NZ:

  • "[AGD66] Australia grid (6 min)","AGD66","*AGD66 grid [AGD66]"

  • "[AGD84] Australia grid (6 min)","AGD84","*AGD84 grid [AGD84]"

  • "[GD49] New Zealand grid (6 min)","GD49","*GD49 grid [NZGD49]"

  • Canada:

  • "[NAD27] Canada NTv2 (3 min)","NAD27","*NAD27 NTv2 (3 min) [Canada3min]"

  • Russia:

  • "[PZ90] Russia","PZ90","*PZ90 to WGS 84 (1*)"

  • Auto Rank Best Coordinates now tries to retrieve a measured coordinate for the specified destination grid. If not found, the coordinate that is retrieved is transformed to the requested grid system.

  • Added option to set number of decimal places for calculated coordinates.

FILTER

General

  • The filter object now has an option to set custom filters and ordering using custom SQL code. Once set, this overides the regular filter and Order By.

CLIENT-SIDE EXPRESSIONS

General

  • Included option to add -- or /* */ comments to an expression. These must be placed after the =.

New Functions

  • "REVERSE" Reverses the text in a string.

  • "DBODBC" The name of the current ODBC connection.

  • "DBUSER" The username for the current database connection.

  • "ENCRYPTEDPASSWORD" The encrypted password for the current database connection.

  • "ACQEXEPATH" The path to the acQuire executable files.

  • "ACQWORKSPACEPATH(x) Path to the current acQuire workspace, where x denotes 1 or 2 for the primary and secondary workspace nodes.

acQuire WRITE API

General

  • Fixed problem writing into chemistry compound definition when only SAMPLEDETAILS records are to be added.

EXPRESSION BUILDER

General

  • Expression builder dialog is re-sizable and remembers the size between sessions.

DERIVED FIELDS

General

  • New: Added user interface for adding derived fields.

  • Derived fields are automatically calculated fields based on server-side expressions. These expressions are built in SQL, and are run when the query is run. The specifics of the SQL can vary between Microsoft SQL Server or Oracle database platforms. They are very powerful, in that the entire data model can be exposed from any point to any point, via derived fields. However, peformance may suffer if too many derived fields are used in a single query or if their definition is complex. Performance will also depend on the speed of the server, since calculations are run on the database server.

  • Derived fields can be based on fixed fields, virtual fields or other derived fields. They can also retrieve data from other areas of the data model, via sub select statements or SQL functions.

  • Styling can be added to derived fields for display in forms.

Server Side Functions

  • A suite of SQL functions that can be used with Derived Fields has been added to the Derived Field Expression Wizard. See below for the list of functions.

DATA MODEL ENHANCEMENTS

Core Data Model

Tables

  • Added tables in support of the new virtual fields systems for DrillholeDiameter, StandardsDefinition, Project, Prospect, and Area tables. Additional tables are added to support comment virtual fields for Contract, Cost and DespatchReturn tables. Tables are added to support 4000-character BigComment virtual fields for Geology and Collar.

  • Tables added:

AREACODE, AREADETAILS, CONTRACTCOMMENT, CONTRACTCOMMENT, CONTRACTCOMMENTCODE, COSTCOMMENT, COSTCOMMENTCODE, DESPATCHRETCOMCODE, DESPATCHRETCOMMENT, DRILLHOLEDIAMCODE, DRILLHOLEDIAMDETAILS, GEOBIGCOMMENT, GEOBIGCOMMENTCODE, POINTGEOBIGCOMMENT, HOLEBIGCOMMENT, HOLEBIGCOMMENTCODE, IDENTITYRANGE, METASQLFUNC, METASQLFUNCPARAM, METASQLFUNCPARAMFIELD, PROJECTCODE, PROJECTDETAILS, PROSPECTCODE, PROSPECTDETAILS, QT_GEODETAILS_STRUCTURE_ERROR, QT_PIVOT, STANDARDSDEFCODE, STANDARDSDEFDETAILS

  • Added AZIMUTHGRIDNAME to HOLESURVEY table to better tie an azimuth to a gridname.

  • Added RANK to SURVTYPE and SAMPLETYPE tables. This provides a way of defining the rank of a sample or survey, in the event that Priority is NULL or the same value.

  • Increased field COSTCODE to varchar(30).

  • New QT_PIVOT table, which is a table of numbers (10,000 numbers) that can serve as a way of efficiently iterating in a SQL Query. For example, it can be used to search a string for a particular character, or turn a comma-delimited list into individual element rows (see QTFN_ITEM_IN_LIST).

Procedures

  • Structural Calculation Procedure: calculate planar and linear features from raw measurements.

  • Significant Intercept Procedure now calls a table valued function that can be used outside the procedure call. This allows for dynamic retrieval of intercepts without the need for storage in a table. Also added an option to use BestAssay as a value on which intercepts are based. In addition, a Prospect filter was added to the procedure interface.

Functions

  • New: Added SQL functions to manipulate data in various ways.

Scalar functions, returning a single value

  • Oracle + SQL Server

'QFN_MAJ_GEOCODE'

'Majority Geology Code'

'QFN_MAJ_GEOCOMMENT'

'Majority Geology Comment'

'QFN_MAJ_GEOBIGCOMMENT

'Majority Geology BigComment'

'QFN_EOH_GEOCODE

'End of Hole Geology Code'

'QFN_WAVG_GEOCODE'

'Weighted Average Geology Code'

'QFN_INTERSECT_GEOCODE_LIST'

'List of all Intersected Geology Codes'

'QFN_BESTASSAY_VALUE'

'Best Assay Numeric'

'QFN_BESTASSAY_TEXT'

'Best Assay Text'

'QFN_BESTASSAY_NAME'

'Best Assay (return AssayType Name)'

'QFN_BESTCHECKASSAY_VALUE'

'Best Check Assay Numeric'

'QFN_BESTCHECKASSAY_TEXT'

'Best Check Assay Text'

'QFN_BESTCHECKASSAY_NAME'

'Best Check Assay (return AssayType Name)'

'QFN_WAVG_ASSAY'

'Weighted Average Assay Numeric'

'QFN_WAVG_BESTASSAY'

'Weighted Average Best Assay Numeric'

'QFN_MAX_HL_ASSAY'

'Maximum Downhole Assay Numeric'

'QFN_MAX_HL_BESTASSAY'

'Maximum Downhole Best Assay Numeric'

'QFN_EOH_ASSAY'

'End of Hole Assay Numeric'

'QFN_EOH_BESTASSAY'

'End of Hole Best Assay Numeric'

'QFN_MAJ_SAMPLECODE'

'Majority Sample Code'

'QFN_BEST_HOLESURVEY_AZIMUTH'

'Best Ranked HoleSurvey Azimuth'

'QFN_BEST_HOLESURVEY_GRIDNAME'

'Best Ranked HoleSurvey GridName'

'QFN_BEST_COLLAR_COORD'

'Best Ranked Collar Coordinates'

'QFN_BEST_COLLAR_GRIDNAME'

'Best Ranked Collar GridName'

'QFN_BEST_POINTSAMPLE_COORD'

'Best Ranked PointSample Coordinates

'QFN_BEST_POINTSAMPLE_GRIDNAME'

'Best Ranked PointSample GridName'

'QFN_MAJ_DRILLCODE'

'Majority DrillholeDiameter Code'

'QFN_CHECKSAMPLE_DESPATCH_LIST'

'DespatchNo/LabJobNo list per CheckSample'

'QFN_SAMPLE_DESPATCH_LIST'

'DespatchNo/LabJobNo list per Sample'

'QFN_COLLAR_DESPATCH_LIST'

'DespatchNo/LabJobNo list per Hole'

'QFN_CHECKSAMPLE_ASSAYTYPE_LIST'

'AssayName/Element/Units list measured per CheckSample'

'QFN_SAMPLE_ASSAYTYPE_LIST'

'AssayName/Element/Units list measured per Sample'

'QFN_COLLAR_ASSAYTYPE_LIST'

'AssayName/Element/Units list measured per Hole'

'QFN_CHECKSAMPLE_CHECKS_LIST'

'Related CheckSamples list per CheckSample'

'QFN_SAMPLE_CHECKS_LIST'

'Related CheckSamples list per Sample'

'QFN_COLLAR_GEOLOGY_FIELD_LIST'

'Geology Fields list per Hole'

'QFN_SAMPLE_CHECK_FIND_DUPNO'

'Return the DuplicateNo for a given SampleID (use in conjunction with QV_SAMPLE_CHECK)'

'QFN_ITEM_IN_LIST'

'Return item at specified location in chaacter-separated list.

  • Oracle Only

'QFN_ISNUMERIC'

'True if argument is a number'

'QFN_ISDATE'

'True if argument is a date'

Table functions, returning a table of data.

  • These functions can be joined to other tables via an SQL query.

'QTFN_HOLESURVEY_DESURVEY'

'Returns the calculated X,Y,Z coordinates for each downhole survey depth'

'QTFN_INTERCEPTRPT'

'Returns the significant intercepts within a drillhole'

'QTFN_BEST_INTERCEPTRPT'

'Returns the significant intercepts based on BestAssay within a drillhole'

'QTFN_ITEM_IN_LIST'

'Return table of items extracted from a char-separated list.'

Business Rules (Triggers)

  • Sample/CheckSample Added rule to prevent same SAMPLEID/CHECKID being used in the CHECKSAMPLE/SAMPLE table, in the following circumstances:

for a particular SAMPLE.SAMPLEID check that the same ID is not used in CHECKSAMPLE where

CHECKSTAGE = 'S'

or (STANDARDID is not null

and STANDARDTYPE

in ('COMPANY_STD'

,'COMPANY_BLANK'

,'COMPANY_SPIKE'))

Compound Definitions

  • Updated BestAssayDrillholeXXXXX compound definitions to include Majority Geology fields and BestAssay AssayType Name fields.

  • New Combined Sample/Check compound definitions for improved import and data entry to the Assay module. With this compound definition, Primary Sample and Field Duplicate data can be entered on the same data entry sheet. This capability is also available in both online or offline data entry.

  • Compound definitions are added to support addition of Text/Numeric/Date virtual fields for DrillholeDiameter, StandardsDefinition, Project, Prospect, and Area tables. Changes are made to support the addition of Comment virtual fields for Contract, Cost and DespatchReturn. Changes to Geology and Collar compound definitions support the addition of 4000-character BigComment virtual fields.

Validation and Styling Module

  • New validation and styling module that eliminates VT tables and centralises the lookup codes, validation ranges and styling into one set of tables. This will be an optional upgrade, with support for VT tables ongoing.

  • The module includes extra ACTIVE and SUBGROUP fields for lookup validation and styling.

  • AcQuire version 4.0.0 has Microsoft SQL Server support only. Support for Oracle to follow in acQuire version 4.0.1.

  • Support for project-filtered lookup codes will be added in acQuire versions 4.0.1 or 4.0.2.

CorpAssay Module

  • Module scripts are now installed in a separate folder Modules, in subfolder Scripts\adm3500.

Functions

  • Scalar functions, returning a single value:

'QFN_CORPBESTASSAY_VALUE'

'Best Assay Numeric'

'QFN_CORPBESTASSAY_TEXT'

'Best Assay Text'

'QFN_CORPBESTASSAY_NAME'

'Best Assay (return AssayType Name)'

'QFN_CORPBESTCHECKASSAY_VALUE'

'Best Check Assay Numeric'

'QFN_CORPBESTCHECKASSAY_TEXT'

'Best Check Assay Text'

'QFN_CORPBESTCHECKASSAY_NAME'

'Best Check Assay (return AssayType Name)'

'QFN_WAVG_CORPASSAY'

'Weighted Average Assay Numeric'

'QFN_WAVG_CORPBESTASSAY'

'Weighted Average Best Assay Numeric'

'QFN_MAX_HL_CORPASSAY'

'Maximum Downhole Assay Numeric'

'QFN_MAX_HL_CORPBESTASSAY'

'Maximum Downhole Best Assay Numeric'

'QFN_EOH_CORPASSAY'

'End of Hole Assay Numeric'

'QFN_EOH_CORPBESTASSAY'

'End of Hole Best Assay Numeric'

'QFN_CHECKSAMPLE_CORP_LABJ_LIST'

'DespatchNo/LabJobNo list per CheckSample'

'QFN_SAMPLE_CORP_LABJ_LIST'

'DespatchNo/LabJobNo list per Sample'

'QFN_COLLAR_CORP_LABJ_LIST'

'DespatchNo/LabJobNo list per Hole'

'QFN_CHECKS_CORP_ASSAYTYPE_LIST'

'AssayName/Element/Units list measured per CheckSample'

'QFN_SAMPLE_CORP_ASSAYTYPE_LIST'

'AssayName/Element/Units list measured per Sample'

'QFN_COLLAR_CORP_ASSAYTYPE_LIST'

'AssayName/Element/Units list measured per Hole'

Compound Definitions

  • Added Pending Assay compound definitions for loading assay data to AssayPriority = 2. This data is not visible in standard report views until it is classified as "Accepted" (AssayPriority = 1). If "Rejected" it is still stored in the system, but with AssayPriority = 3 or greater.

  • Added Combined Sample/Check compound definitions for CorpAssay.

Depth Adjustment Module

  • New module added to support depth adjustment function.

  • AcQuire version 4.0.0 has Microsoft SQL Server support only. Support for Oracle to follow in acQuire version 4.0.1

Geophysics Module

  • Interval compound definitions can now work with negative depth step.

General

  • New METADEFAULT database setting to work with English dates in non-English client settings.

  • New Oracle METADEFAULT database setting to set optimizer mode to RULE or COST optimization.

Database Server

  • As of acQuire version 4, acQuire no longer supports Microsoft SQL Server 7, MSDE 1 or Oracle 8i.

  • Supported databases include Oracle 9.1, 9.2, 10.1, 10.2 or Microsoft SQL Server 2000, 2005 (including MSDE 2000, 2005).

TUTORIAL

Tutorial Enhancements

  • Updated most tutorial reports to work with either Microsoft SQL Server 2000+ or Oracle 9+.

  • Added new reports: Downhole Survey Quality and Drillhole Inventory.

  • Updated most script objects to work with either Microsoft SQL Server 2000+ or Oracle 9+.

  • Added "Structure Calculation" script object.

  • Updated Significant Intercept script to include ability to pick Majority Geology and Weighted Average assay fields.

INSTALLATION

Installer Updates

  • Removed Microsoft MSDE 1 installer.

  • Added Microsoft SQL Server Express (MSDE 2005) installer.

  • Added MSI installer option for acQuire Cutdown.


Grid Parent

Defining or setting up a grid entails completing details about how the grid is defined spatially, its projection and how it relates to another grid.

When a grid is created it is defined as either:

  • Geographic. Defined in terms of a spheroid.

  • Projected. A geographic grid transformed to a flat surface.

  • Local. Regionally defined grid.

All local grids that are to be involved in coordinate transformations (either receiving transformed data or as the source of data to be transformed ) must have a parent grid. The parent can be another local grid or a projected grid. The parent grid must be defined before defining the current local grid (see the Local - Parent Grid Relationship tab).

It is not recommended to define a geographic grid as the parent for a local grid. This is because any transformations based upon this setup are likely to be very inaccurate. The reason is that a geographic grid is based upon a sphere whereas, a local grid is based upon an assumed flat surface. A projected grid forms the link between a flat surface and a sphere for known grid systems. It is best to transform local coordinates into a geographic grid via a projected grid.

Projected or geographic grids do not need a parent as their relationships are internationally defined.


Summary Transform Process

A summary or statement of the selected options is displayed. Problems with the selection are highlighted.

Finish | If the selection is correct click to complete the process and close the dialog.
Back | If the selection has errors select to go back to correct the selection.

Note

If any errors are encountered during the transformation process and coordinates cannot be transformed, the particular details will be written to a Transformation Errors.txt file. This file is saved in the folder defined by Tools, Options, Workspace Folders, Status report folder.


Source and Destination Data

The following summarises where the source data for a transformation is found when you use either of the following transformation processes:

  • Transform coordinates (go to Tools, Transform Coordinates on the main menu).

  • Export objects. Create an object in your workspace.

For example, define any or all of the coordinate sets and/or original fields in the One Day workspace:

Grid | Coordinate Set
Wallaby Mine | Mine
 | Original East/North/RL/Azimuth (HoleType=DRILLHOLE) or Original PointEast/PointNorth/PointRL (HoleType=GEOCHEM)
Wallaby Uground | Uground
 | Original East/North/RL/Azimuth or Original PointEast/PointNorth/PointRL (HoleType=GEOCHEM)

If you select coordinate set = Mine

If you select Original East/North/RL/Azimuth

If you select all the coordinate sets for all the grids, the system to use the coordinates that are found:

  • In the grid that is highest in the list.

  • The coordinate set within a grid that has the highest rank.

Where the source data is located depends upon the HoleType of the record. If the HoleType is:

  • DRILLHOLE. The source data is associated with Collar and can be found in the HoleCoord table. In this case, in the Mine_X, Y and Z coordinate set of virtual fields.

  • GEOCHEM. The source data is associated with PointSample and can be found in the SampleCoord table. In this case, the fields are the Mine_X,Y and Z coordinate set of virtual fields.

In both cases, the coordinate set probably:

  • Stores the most accurate coordinates for the drillhole for the grid.

    • Has the highest rank of all the coordinate sets for the grid.

    • Has a SurveyMethod that is one of the measured types (not = Calculated).

    • Has a name that reflects the data it stores (that is, the data is defined in terms of the Wallaby mine grid).

The azimuth source data:

  • The system will first look for the azimuth data in HoleSurvey.Azimuth for each drillhole. It is assumed that the azimuths are relative to grid north for the grid in AzimuthGridName.

When working with an export object and the Original East/North/RL/Azimuth option has been selected, the source field can be redefined from Azimuth to another field in Survey. See the Survey tab in the Drillhole Selection dialog of the object (Redefine Fields).

  • If no values are found in this field, the system will look in the <GridName>_GDAZIMUTH field, where <GridName> is the grid of the HoleID. This Survey azimuth virtual field is created when the grid is created. Wallaby_GDAZIMUTH, for example.

It is assumed that the azimuths are relative to grid north.

  • If there is no data in the above locations, the azimuth transformation cannot proceed.

There is no facility to transform the azimuths for HoleType = GEOCHEM.

East, north and RL source data:

The fields that provide the source data is dependent on the HoleType for the HoleID of each record. If the HoleType is:

  • DRILLHOLE: The fields are the East, North and RL fields in Collar (HoleLocation). The form definition that is selected on the dialog must be based upon a Collar compound definition.

  • GEOCHEM. The fields are the POINTEAST, POINTNORTH and POINTRL fields in Assay (Sample table). The form definition that is selected on the dialog must be based upon a PointSample compound definition.

In an export object, the source fields can be redefined if you are 'Using simple local transformation' (Geographic tab). Click Redefine coordinate fields button and select the alternate source fields for the coordinates. The default is East, North and RL for HoleType = DRILLHOLE and PointEast, PointNorth and PointRL for HoleType = GEOCHEM.

Azimuth source data:

  • The system will first look for the data in HoleSurvey.Azimuth.

When working with an export object and the Original East/North/RL/Azimuth option has been selected, the source field can be redefined from Azimuth to another field in Survey. See the Survey tab in the Drillhole Selection dialog of the object (Redefine Fields).

  • If not in the above, the system will look in the <GridName>_GDAZIMUTH field for the drillhole, where <GridName> is the grid of the HoleID. This field is created when each grid is created.

  • If there is no data in the above locations, the azimuth transformation cannot proceed.

There is no facility to transform the azimuths for HoleType = GEOCHEM.

The destination of the transformed coordinates depends upon the transformation process is initiated. If you use:

  • Transform Coordinates (Tools on the main menu). The destination grid and coordinate set are selected from the drop-down lists on the dialog. Coordinates can only be transformed and saved to a coordinate set that has a SurveyMethod = Calculated.

The transformed:

  • X, Y and Z coordinates can be viewed in a:

    • Collar form (if HoleType = DRILLHOLE). A Collar or SampleGeoAssay form definition that includes the appropriate coordinate set of virtual fields from the HoleCoord table is used to create a form to view the results. The set must have a SurveyMethod = Calculated, and generally its name will incorporate the name of the destination grid.

    • PointSample form (if HoleType = GEOCHEM). A PointSample form definition that includes the appropriate coordinate set of virtual fields from the SampleCoord table is used to create a form to view the results. The set must have a SurveyMethod = Calculated, and generally its name will incorporate the name of the destination grid.

  • Azimuth can be viewed in a form based on a Survey form definition. The transformed azimuths are stored in the <GridName>_GDAZIMUTH field where <GridName> is the name of the grid for a particular drillhole. This field/s must be included in the form definition.

  • Export object. The destination of the X, Y and Z coordinates is the East, North and RL fields in the output Collar file. The destination of the azimuth is the Azimuth field in the output Survey file.

Source and Destination Data

It is very important to understand which data is used as the source data to compute the transformed coordinates. It is also important to be sure where the results are saved.

Source data

Destination data


GEMS Drillhole Export

Data will be exported from acQuire to a GEMS database.

GEMS 5 version

Select to export to GEMS 5 mdb file. If not selected, the data is exported to a GEMS 4 mdb file.

Create a new database

Select if you wish to define a new mdb file for GEMS 4 or 5. The Select the database file option will be blank.

Connect to existing database project

Select if you wish to export to an existing GEMS mdb file. If an existing file had been selected for the Select the database file option, it will remain on display.

Only update new or modified drillholes since last export

Active if the following have been selected:

  • GEMS 5.

  • Connect to existing database project.

  • Object tracking is active.

Select if you want the output to include:

  • Drillholes that were entered into the database since the last export.

  • Drillholes that were modified since the last export and were also included in the last selection.

This means that, if you include any new options on this dialog for the update export (for example, export the coordinates for Assay intervals when they were not selected on the previous export), the data will only be generated for the drillholes defined above.

Drillholes that have not been modified since the last export, and are included in both selections, will not have new data generated.

Append the drillholes

Active if the following have been selected:

  • GEMS 4.

  • Connect to existing database project.

Select if you want the output to include all the new drillhole data. Data in the selection that already resides in the mdb file will not be overwritten.

Select the database file Name:

If either of the following have been selected:

  • Create a new database file is selected. The Name box will be blank. Browse to find the location for the mdb file and type in the new name. If you select an existing file, you will be asked if you want to overwrite it. Respond appropriately.

  • Connect to existing database project. The previously selected mdb file may be displayed. You have the option to proceed with the current selection or select another.

Workspace

Define a workspace name. In the output mdb file the following tables will be included:

WorkspaceName_HEADER

WorkspaceName_SURVEYS

WorkspaceName_ASSAYS

WorkspaceName_GeologyPageName

Export as TRAVERSE data

Select to define the:

Default azimuth.

Default dip.

Compact database

As you change data in a database, the database file can become fragmented and use more disk space than is necessary. Periodically, use the compact database option to compact your database to defragment the database file. The compacted database is usually smaller and often runs faster.

Note

When you define your selection file:

  • As acQuire does allow overlapping Geology intervals, you MUST include Interval Splitting for Geology when you define the selection file.

  • As acQuire will allow overlapping Assay intervals if the Sample.Priority for those that overlap is different, then you should filter items on the Assay tab by Priority (Priority=1, for example). Alternatively you could also include Samples in Interval Splitting when you define your selection file.


GEMS Point Sample Export

Data will be exported from acQuire to a GEMS database.

Create a new database file

Select if you wish to define a new mdb file for GEMS 4 or 5. The Select the database file option will be blank.

Connect to existing database file

Select if you wish to export to an existing GEMS mdb file. If an existing file had been selected for the Select the database file option, it will remain on display.

Select the GEMS database to write the data to:

If either of the following have been selected:

  • Create a new database file is selected. The Name box will be blank. Browse to find the location for the mdb file and type in the new name. If you select an existing file, you will be asked if you want to overwrite it. Respond appropriately.

  • Connect to existing database project. The previously selected mdb file may be displayed. You have the option to proceed with the current selection or select another.

Workspace

Define a workspace name. In the output mdb file the following tables will be included:

<WorkspaceName>_HEADER

<WorkspaceName>_SURVEYS

<WorkspaceName>_ASSAYS

<WorkspaceName>_GeologyPageName

Compact database

As you change data in a database, the database file can become fragmented and use more disk space than is necessary. Periodically, use the compact database option to compact your database to defragment the database file. The compacted database is usually smaller and often runs faster.

Note

When you define your selection file:

  • As acQuire does allow overlapping Geology intervals, you MUST include Interval Splitting for Geology when you define the selection file.

  • As acQuire will allow overlapping Assay intervals if the Sample.Priority for those that overlap is different, then you should filter items on the Assay tab by Priority (Priority=1, for example). Alternatively you could also include Samples in Interval Splitting when you define your selection file.


acQuire Connection

acQuire 4.0.6 © Copyright acQuire Technology Solutions Pty Ltd


Intervals

Select if you want to define a relationship between the way that the intervals for Sample and the Geology pages are reported.

The list of Sample and Geology pages from which to select.

The selected types from the list of Interval types.

This option is applicable to the Coal Continuation ADM module, and only available in the GUI when the database contains coal continuation data.

When Combine continuation intervals is selected, intervals containing multiple logs are combined and populated with the highest ranked value, i.e. the value is taken from the log which has the lowest value of RANK for that interval.

From the drop-down list of data sets select the one that has the intervals (the From and To) that is to be included in thedata set.

The intervals of the other types will follow this format.

With Use controlling interval selected, the output is based on the interval in the Assay data set. Should there be other intervals in the other data sets they will be included in the results of the particular data set (for the example above).

For each of the types, the smallest common interval will be the one that is to be included in the exported data set.

Two Geology pages exist: Lithology and Alteration. Intervals are split to the interval of Samples. With Smallest common interval selected, all data set will have the same intervals: the smallest common interval.

The intervals that have been split or combined by the method defined above, can be subset spatially by a geometry file. The geometry file must be defined on the Geographic, Spatial Limits tab, Limit by geometry.

The options are:

Inside/Outside

The intervals subset are those that are either:

  • Inside. Inside the area defined by the geometry file.

  • Outside. Outside the area defined by the geometry file.

Include Intervals/

Split Intervals

The actual dividing 'line' used to subset the data can be defined by either:

  • Include intervals X% falls inside/outside of solid. Depending on the option selected above (inside/outside), this option will also include those intervals that occur =< inside or outside the area defined by the geometry file.

  • Split intervals against geometry. The area defined by the geometry file defines the intervals that are to be included in the subset: the selected intervals are either inside or outside the defined area.

If you have defined a Profile (Manage, Default Settings), you can apply a profile or template to the object.

The profile has all or some of the settings that will apply to this and other tabs in the dialog.

Select the appropriate profile from the drop-down list and the settings will apply to the object. All the options in the settings are selected. You can clear any of the options to not include them.

Combine overlapping intervals selected on the Lithology page of the Geology tab.

Lithology – GeologyPage 1
From | To | Lith1 | Lith2
0 | 2 | X |
2.5 | 7 | X |
2 | 4 |  | Y
4 | 8 |  | Z

Combine overlapping intervals selected on the Alteration page of the Geology tab.

Alteration – Geology Page 2
From | To | Alt1
0 | 5.5 | X
5.5 | 7 | Y
7 | 8 | Z

Use controlling interval set to Samples on the Intervals tab.

Sample
From | To | Cu
0 | 1.5 | 3
1.5 | 4 | 4
4 | 6 | 5

Resultant Lithology output

Lithology – Output
From | To | Lith1 | Lith2
0 | 1.5 | X |
1.5 | 2 | X |
2 | 2.5 |  | Y
2.5 | 4 | X | Y
4 | 6 | X | Z
6 | 7 | X | Z
7 | 8 |  | Z

The split/combined interval reported is that, either Sample and/or Geology, that has the highest priority. The interval with the highest priority (highest Sample.Priority or GeoInterval.Priority), is that which has the smallest value for Priority for the interval.

For example:

Sample | From | To | Priority | Interval Reported
x100 | 0 | 2 | 2 |
x100a | 0 | 1 | 1 | a
x100b | 1 | 2 | 1 | a
x1001 | 2 | 4 | 2 | a
x1002 | 4 | 6 | 2 | a

Note

If multiple overlapping samples are found, and the Sample.Priority for these records is the same value or NULL, the SampleType.Rank is used to determine the best sample: the highest rank is the smallest SampleType.Rank.

Intervals

The Intervals page is used to define how to manage non-coincident interval boundaries when exporting data. The settings to define are:

Split/combine intervals

Interval types

Intervals to split/combine

Combine continuation intervals (coal continuation module only)

Splitting Method

Use controlling interval

Smallest common interval

Limit intervals by geometry

Defaults

Example

Role of priority

Click Apply to apply the settings, or OK to apply the settings and close the dialog.


DepMin Export Setup

The header section, at the top of the exported file, has the following format, for example:

Field No | Field Title | Example Value
H0002 | Version | 3
H0003 | Date_generated | 1-Aug-2006
H0004 | Reporting_period_end_date | 31-Jul-2006
H0005 | State | WA
H0100 | Tenement_no | EL_1234
H0101 | Tenement_holder | AAA Co
H0102 | Project_name | Chuditch
H0106 | Tenement_operator | J Smith
H0150 | 250K_map_sheet_number | SH5109
H0151 | 100K_map_sheet_number | 3036, 3136
H0200 | Start_date_of_data_acquisition | 1-Dec-2005
H0201 | End_date_of_data_acquisition | 3-Mar-2006
H0202 | Data_format | SL3
H0203 | Number_of_data_records | 12057
H0204 | Date_of_metadata_update | 7-Apr-2006
H0307 | Lithology_code_file | CHUD_Lith_Codes.pdf
H0308 | File Verification List | CHUD_Verify_List.txt
H0400 | Drill_code | RC
H0401 | Drill_description | Reverse circulation
H0500 | Feature_type | Hole_collar, Sample_type
H0501 | Geodetic_datum | WGS84
H0502 | Vertical_datum | MSL
H0503 | Projection | Mercator
H0508 | Local_grid_name | Chuditch Mine Grid
H0530 | Coordinate_system | Projected
H0531 | Projection_zone | 50, 51
H0532 | Surveying_instrument | DGPS, single shot, multishot, gyro
H0533 | Surveying_company | Line Of Site Pty Ltd
H0900 | Remarks | <Free text>

How values are generated

Sample_code and Sample_type

The value for the field nos is selected from either:

  • An acQuire field. For example, Tenement_operator and Project_name. The Field nos that are associated with acQuire fields have a drop-down list of acQuire fields. For most of the Field nos, the list presents all the fields that are available in the form definition on which the tab is based. Both Drill_code and Sample_code list only those fields that have been selected to be exported.

  • A default value (constant). Most fields can have a default or constant (except those defined by acQuire, see below). Some fields can only be defined by the default value and they include:

H0100 | Tenement_no | Only a constant can be defined: one tenement number per export.
*H0200 | Start_date_of_data_acquisition | The default value is the earliest date stored in HoleLocation.StartDate of the data subset exported.
*H0201 | End_date_of_data_acquisition | The default value is the most recent date stored in HoleLocation.EndDate of the data subset exported.
H0202 | Data_format | A default value is the current recommended format type. The default can be changed.
H0507 | Downhole_survey | Only a constant can be defined.
H0900 | Remarks |

*The system will generate a value if the default is not defined.

  • Defined by acQuire. The values are defined by the system and they include:

H0203 | Number_of_data_records_exported | The number of records in the current export.
H0204 | Date_of_metadata_update | System date when the data is exported.
H0800 | Assay_code | The analytical method for each of the AssayType virtual fields (AssayType.Name) included in the export. This is the value in AssayType.Method.
H0801 | Assay_company | Data not saved in acQuire.
H0802 | Assay_description | For each of the AssayType virtual fields, this is the value of the AssayMethod.Description.

Sample_code and Sample_type

H0600

Sample_code

If an acQuire field or default value is not defined, no value will be displayed in the export file. The acQuire field can be selected from the drop-down list of SampleCode.Name fields that are included in the form definition for the tab (Assay).

If an acQuire field is selected, the codes in the field (SampleCode.Name) will be displayed in a row in the header section of the exported file. In the lower data section, the appropriate code will be displayed in the Sample_code column against each SampleID.

H0601

Sample_type

If no field or default is selected for Sample_code, and a Sample_type is selected, you will see a row of codes (A, B, and so on) to match the number of Sample_types displayed in the header section.

In the lower data section, the Sample_type for each record will be referenced by the Sample_code in the column Sample_code.

For example:

In the header section:-

H0600 | Sample_code | A | B | C
H0601 | Sample_type |  | Auger | Grab
H0602 | Sample_description |  | shallow | <0.5kg

In the data section:-

H1000 | HoleID | SampleID | Sample_code
D | DDH001 | x001 | B
D | DDH001 | x002 | A
D | DDH001 | x003 | C
D | DDH001 | x004 | A

If both a Sample_code and a Sample_type are selected, both the Sample_code and the Sample_type will be displayed in the upper header section. In the lower data section, the Sample_code will display the Sample_code for each SampleID.

H0602

Sample_description

If the Sample_type is defined, this will be either the:

  • SampleType.Description, if the Sample_type is defined as the acQuire field = SampleType.SampleType.

  • The value in the acQuire field selected.

  • The default value.

  • Not defined.

The data section of the exported data has the following format:

 | Header Number | HoleID | ProjectCode | East | North
Data Field Desc | H1000 | HoleID | Projectcode | AMG_E | AMG_N
Units | H1001 |  |  | metres | metres
Accuracy | H1004 |  |  | 0.00000001 | 0.00000001
Assay_company_ID | H1007 |  |  |  |
Data | D | DDH001 | OneDay | 14652 | 467.123456
Data | D | DDH002 | OneDay | 14652 | 482.123456
Data | D | DDH003 | OneDay | 14652 | 498.123456
Data | D | DDH004 | OneDay | 14652 | 453.123456

The number and types of defined H10* records/rows that are included depends upon the data type being exported. For example, Assay has the following extra records:

  • H1002 Assay Code. This is defined by the AssayType.Method for the AssayType virtual field (AssayType.Name). The value can be edited in the export dialog.

  • H1003 Lower Detection. This is defined by the AssayDetection.LowerDetection for the AssayType virtual field (AssayType.Name). The value can be edited in the export dialog.

DepMin Export Setup

DepMin Setup defines the data that will be exported in the specific file format to meet the reporting requirements of the Western Australian government. Each output file (*.txt) is a tab-delimited file consisting of an upper header section and a lower data section. The export dialogs for each tab are presented with the user input displayed in the same way: an upper header and a lower data sections.

Header

The format for the header section of the output files is very comprehensive and specific. All the information that could be included may not be stored in the database. The user input for this section is defined in terms of:

  • Field No. These are defined by the government department.

  • Field Titles. These are defined by the government department.

  • acQuire fields. Select the appropriate field from the drop-down list that has the value to be exported. Not all fields can be defined. Refer to the Header section details below.

  • Default Value. Define a constant value instead of selecting an acQuire field.

Header section details

Data

The data section information is defined in terms of:

  • The selected acQuire fields from each form definition on which the tab is based.

  • The units and precision, if appropriate for the field. For the Assay tab, the default data is referenced from the AssayType, Units and AssayDetection.AssayPrecision for the AssayType virtual field (AssayType.Name) in the database. Otherwise, it is the default value supplied by the system. The values can be changed.

  • Assay Code and Lower Detection, if it is an Assay tab. The Assay Code is the AssayType.AnalysisMethod for the AssayType virtual field (AssayType.Name). The Lower Detection is the AssayDetection.LowerDetection for the AssayType virtual field in the database. These default values can be edited.

  • Select individual fields to export the data to the output file.

Data section details

The format of the output files complies with the data submission requirements of the Department of Mineral and Petroleum Resources - Western Australia. For more particulars on this format refer to http://www.doir.wa.gov.au/aboutus/wamex.asp.

Apply collar header values to all sheets

Select if you want the Field Titles that you have defined for the upper header section for the Collar tab to be copied to the other tabs. Some of the Field Titles are not relevant to the each of the tabs. On a tab where a particular Field Title is not relevant, it is unavailable: you cannot select an acQuire Field or Default Value.

Point Sample export

Point sample export object have only one tab, Assay. Generally, this tab combines the data that you find on the Collar, Geology and Assay tabs of a drillhole export and therefore is similar in that respect.

Note

DepMin client is only available for exporting from Export objects.


Export Field Widths

If you are exporting to a Micromine data client you can define the number of characters to be presented in the numeric fields of the output files. The list of fields includes all the numeric fields that are available in the underlying form definition for the tab. By default, each field displays the number of characters that will be exported if the width is not edited.

Edit the width for the fields, as required. The width value must include the decimal point if it is to be exported. For example:

Example of Value to be Exported | Width
3445.456 | 8
12.1234 | 7


Microsoft Access Drillhole Export

Microsoft Access .mdb File

The primary keys fields in the output .mdb file differ slightly from the primary key fields in acQuire.

The primary key fields in the .mdb file are as follows:

.mdb Table | .mdb Primary Key Fields
Collar | HoleID, ProjectCode
Survey | HoleID, ProjectCode, Depth, SurvType
Assay | SampleID
Geology | HoleID, ProjectCode, GeolFrom, GeolTo, Priority

Microsoft Access Drillhole Export

The output file is a Microsoft Access .mdb file.

Output

These options are not available if a .mdb file is not located in the Name browse box.

Create new tables

All the data in the current tables will be deleted.

Update existing tables

Data for matching drillholes will be replaced and new drillholes added. Drillholes not included in the current selection will remain unchanged.

Only update new or modified drillholes since last export

Active if Update existing tables is selected

If Object tracking is active this option will become available.

Select if you want the output to include:

  • Drillholes that were entered into the database since the last export.

  • Drillholes that were modified since the last export and were also included in the last selection.

This means that, if you include any new options on this dialog for the update export (for example, export the coordinates for Assay intervals when they were not selected on the previous export), the data will only be generated for the drillholes defined above.

Drillholes that have not been modified since the last export, and are included in both selections, will not have new data generated.

Name

Browse to locate a *.mdb file or locate the folder and type in the name for a new mdb file which will be created.

Output coordinates

Write Start, End or Mid Point coordinates for output data for both:

  • Assay

  • Geology.

These the coordinates will be calculated and included in the resulting Assay and Geology output in field names like StartEast, EndEast and MidEast.

Survey depth: Select if the HoleSurvey.Depth value is also required.

Replace NULL numeric values with

Enter a value in the box if you want to replace NULLs in numeric fields with a value in the output.

Replace NULL text values with

Enter an alphanumeric in the box if you want to replace NULLs in text fields with a value in the output.

Fill missing intervals

Will create missing intervals for Assay and Geology and fill the fields with the values entered in the options above or NULL.

Compact database

As you change data in a database, the database file can become fragmented and use more disk space than is necessary. Periodically, use the compact database option to compact your database to defragment the database file. The compacted database is usually smaller and often runs faster.

Note

If a varchar field is >255, the field in the output Microsoft Access MDB file will be a memo field.


Microsoft Access .mdb File

The primary keys fields in the output mdb differ slightly from the primary key fields in acQuire.

The primary key fields in the mdb file are as follows:

Table - MDB | Primary Key Fields - MDB
PointSampleRef | CampaignID, ProjectCode
PointSample | SampleID

Microsoft Access Point Sample Export

The selected data is export to a MS Access file - *.mdb.

Output

These options are not available if an mdb file is not located in the Name browse box.

Create new tables

All the data in the current tables will be deleted.

Update existing tables

Data for matching campaign will be replaced and new campaign added. Campaigns not included in the current selection will remain unchanged.

Only update new or modified campaigns since last export

Active if Update existing tables is selected

If Object tracking is active this option will become available.

Select if you want the output to include:

  • Campaigns that were entered into the database since the last export.

  • Campaigns that were modified since the last export and were also included in the last selection.

This means that, if you select any new options on this dialog for the update export (for example,replace NULL numeric values), the data will only be generated for the campaigns defined above.

Campaigns that have not been modified since the last export, and are included in both selections, will not have new data generated.

Name | Browse to locate a *.mdb file or locate the folder and type in the name for a new mdb file which will be created.
Replace NULL numeric values with | Enter a value in the box if you want to replace NULLs in numeric fields with a value in the output.
Replace NULL text values with | Enter an alphanumeric in the box if you want to replace NULLs in text fields with a value in the output.
Compact database | As you change data in a database, the database file can become fragmented and use more disk space than is necessary. Periodically, use the compact database option to compact your database to defragment the database file. The compacted database is usually smaller and often runs faster.


Surpac Drillhole Export

Surpac Output File

The primary keys fields in the output mdb differ slightly from the primary key fields in acQuire. The change ensures that there are no overlapping Assay or Geology records.

The primary key fields in the mdb file are as follows:

Table | Primary Key Fields
Collar | HoleID
Survey | HoleID, Depth
Assay | HoleID, SampFrom
Geology | HoleID, GeolFrom

Surpac Drillhole Export

Data is exported to two output files - .mdb and. ddb.

Output

These options are not available if an output file is not located in the Name browse box.

Create new tables

All the data in the current tables will be deleted.

Update existing tables

Data for matching drillholes will be replaced and new drillholes added. Drillholes not included in the current selection will remain unchanged.

Only update new or modified drillholes since last export

Active if Update existing tables is selected

If Object tracking is active this option will become available.

Select if you want the output to include:

  • Drillholes that were entered into the database since the last export.

  • Drillholes that were modified since the last export and were also included in the last selection.

This means that, if you include any new options on this dialog for the update export (for example, export the coordinates for Assay intervals when they were not selected on the previous export), the data will only be generated for the drillholes defined above.

Drillholes that have not been modified since the last export, and are included in both selections, will not have new data generated.

Name

Browse to locate a *.mdb file or locate the folder and type in the name for a new mdb file which will be created.

DDB File

By default the .ddb file will be given the same name as the mdb file - only the suffix changes.

Otherwise, browse to locate a *.ddb file or locate the folder and type in the name for a new ddb file which will be created.

Output coordinates

Write start, end or mid point coordinates for output data for both:

  • Assay

  • Geology.

These the coordinates will be calculated and included in the resulting Assay and Geology output in field names like StartEast, EndEast and MidEast.

Survey depth: Select if the HoleSurvey.Depth value is also required.

Set hole path to

Select to retrieve the method of calculating the hole path:

  • From a Collar virtual field - select "Value from Collar field".

  • Or actually define it as either CURVED or LINEAR.

If either CURVED or LINEAR are selected, it is important that the Survey Method = No Calculation for the selected output Survey data set.

CURVED should be selected for drillholes; LINEAR should be selected for channel or trench sampling.

If 'Value from Collar field' is selected, you need to define from which Collar virtual fields the data will be retrieved. This is selected in the following option - Select hole path from.

Select hole path from

Select from the drop-down list of Collar fields the one that defines the drillhole path.

If no fields appear in the list, you must return to the data selection and select the appropriate field.

Replace NULL numeric values with

Enter a value in the box if you want to replace NULLs in numeric fields with a value in the output.

Replace NULL text values with

Enter an alphanumeric in the box if you want to replace NULLs in text fields with a value in the output.

Fill missing intervals

Will create missing intervals for Assay and Geology and fill the fields with the values entered in the options above or NULL.

Compact database

As you change data in a database, the database file can become fragmented and use more disk space than is necessary. Periodically, use the compact database option to compact your database to defragment the database file. The compacted database is usually smaller and often runs faster.


Surpac Output File

The primary keys fields in the output mdb differ slightly from the primary key fields in acQuire.

The primary key fields in the mdb file are as follows:

Table | Primary Key Fields
PointSampleRef | CampaignID, ProjectCode
PointSample | SampleID

Surpac Point Sample Export

Data is exported to two output files - .mdb and. ddb.

Output

These options are not available if an output file is not located in the Name browse box.

Create new tables

All the data in the current tables will be deleted.

Update existing tables

Data for matching campaign will be replaced and new campaign added. Campaign not included in the current selection will remain unchanged.

Only update new or modified campaigns since last export

Active if Update existing tables is selected

If Object tracking is active this option will become available.

Select if you want the output to include:

  • Campaigns that were entered into the database since the last export.

  • Campaigns that were modified since the last export and were also included in the last selection.

This means that, if you select any new options on this dialog for the update export (for example,replace NULL numeric values), the data will only be generated for the campaigns defined above.

Campaigns that have not been modified since the last export, and are included in both selections, will not have new data generated.

Name: | Browse to locate a *.mdb file or locate the folder and type in the name for a new mdb file which will be created.
DDB File: | By default the .ddb file will be given the same name as the mdb file - only the suffix changes. Otherwise, browse to locate a *.ddb file or locate the folder and type in the name for a new ddb file which will be created.
Replace NULL numeric values with | Enter a value in the box if you want to replace NULLs in numeric fields with a value in the output.
Replace NULL text values with | Enter an alphanumeric in the box if you want to replace NULLs in text fields with a value in the output.
Compact database | As you change data in a database, the database file can become fragmented and use more disk space than is necessary. Periodically, use the compact database option to compact your database to defragment the database file. The compacted database is usually smaller and often runs faster.


menu_DataSheet_Design_r-click

acQuire 4.0.6 © Copyright acQuire Technology Solutions Pty Ltd